<?php

/*
    PDR 1 to PDR 2 upgrade script
    
    Will need to think of a better way to do this later
*/

require "./settings/settings.inc.php";

define("IPFM_RUNNING", 1);

// MySQL upgrade queries
$mySQL[] = "ALTER TABLE " . $settings["dbprefix"] . "_groups ADD mp3 TINYINT(1) DEFAULT '0' NOT NULL AFTER view_img";
$mySQL[] = "ALTER TABLE " . $settings["dbprefix"] . "_users CHANGE root_path root_path VARCHAR(200) DEFAULT NULL";
$mySQL[] = "UPDATE " . $settings["dbprefix"] . "_groups SET file_types = 'php cgi pl asp php3 aspx phtml php4 htaccess htpasswd' WHERE gid = 3";
$mySQL[] = "UPDATE " . $settings["dbprefix"] . "_groups SET mp3 = 1 WHERE gid = 1";
$mySQL[] = "UPDATE " . $settings["dbprefix"] . "_groups SET mp3 = 1 WHERE gid = 3";

require $settings["script_dir"] . "modules/db/" . $settings["dbtype"] . ".lib.php";

$link_id = db_connect($settings["dbserver"], $settings["dbuser"], $settings["dbpass"], $settings["dbname"]);
            
if (empty($link_id) == true)
{
    $error = db_error($link_id);
    if (empty($error) == true)
    {
        $error = "Invalid username or password";
    }
                
    die("There was an error connecting to the database server, the error returned was: {$error}");
}
else
{
    if (isset($$settings["dbtype"]) == false)
    {
        die("This upgrade does not appear to be compatible with the database driver you are using");
    }
    
    $error = false;
    foreach ($$settings["dbtype"] as $var)
    {
        if (db_query($var, $link_id) == false)
        {
            $error = db_error($link_id);
        }
    }
                
    db_close($link_id);                
    
    if ($error == false)
    {
        die("Upgrade complete, please delete this file now");
    }
    else
    {
        die("Upgrade could not be completed, the following error occurred: {$error}");
    }
}                

?>