<?php

$page["section_title"] = "(File templates) ";

$page["info"] = "Info";
$page["edit_description"] = "From here you can modify the file templates which are shown when creating a new file. File types disallowed by the groups file type settings are not shown on the editor screen";
$page["edit_caption"] = "Edit an existing template";
$page["description"] = "Description *";
$page["extension"] = "Extension";
$page["documentation"] = "Documentation URL";
$page["edit"] = "Edit";
$page["description_info"] = "* The descriptions shown here are from the system default language pack, you can edit the values for other languages from the 'Template descriptions' section of the language pack management screen";
$page["edit_info"] = "You can not edit this file template as it is not a 'real' template, it is simply an entry for blank files\\n\\nTo change the template description or the extension simply click on the entry in the columns to the left";
$page["change_description"] = "Edit the content below to make changes to the file template<br /><strong>Template path:</strong> <%TPLDIR%>";

$page["invalid_template"] = "Sorry but the template you selected is invalid";
$page["error_loading_template"] = "Sorry but there was an error loading the template, please ensure you have write access to the template directory";
$page["file_name"] = "File name:";
$page["file_info"] = "File info";
$page["template_extension"] = "File extension:";
$page["file_name_info"] = "The template is stored in this file in the 'Template path'";
$page["template_info"] = "Template info";
$page["template_description"] = "Description:";
$page["template_description_info"] = "This value is defined in the 'Template descriptions' section of the default language pack. You will need to edit the other language packs to have regional names for the template";
$page["documents"] = "Documentation URL:";
$page["documents_info"] = "This value is optional however if you enter a value do not forget the http://";
$page["body"] = "Content:";
$page["body_info"] = "This is what will be presented to the user when they use this file template";

$page["invalid_extension"] = "The file extension you entered is not valid, please ensure that it contains only letters and numbers";
$page["invalid_file"] = "The filename you entered is not valid, please ensure that it contains only letters, numbers or an underscore";
$page["invalid_docs"] = "The documentation URL you entered does not appear to be valid, remember URLs are in the following format protocol://sub.domain.tld:numeric port (optional)/path/to/page.extension";
$page["invalid_name"] = "Please enter a template name/description";
$page["file_exists"] = "Sorry but the file name you entered is already in use";
$page["save_template_error"] = "There was an error saving the template file, please ensure you have write access to the templates directory and its content";
$page["save_lang_error"] = "There was an error saving the language file, please ensure you have write access to the languages directory and its content";
$page["save_config_error"] = "There was an error saving the template configuration file, please ensure you have write access to the settings directory and its content";

$page["done"] = "Configuration updated";
$page["template_updated"] = "The template file was updated successfully";
$page["template_deleted"] = "The template file was deleted successfully";

$page["add_caption"] = "Add a new template";
$page["add_description"] = "Edit the content below to create a new file template<br /><strong>Template path:</strong> <%TPLDIR%>";
$page["template_saved"] = "The template file was saved successfully";

$page["delete_caption"] = "Delete a template";
$page["delete_description"] = "Select a template from the list below to delete";
$page["confirm_delete"] = "Are you sure that you really wish to delete the selected template? This action can not be undo";
$page["select_temp"] = "Choose which template to delete...";
$page["delete_temp"] = "Delete the template";
$page["delete_template_error"] = "There was an error deleting the template file, you will need to delete the file from the templates directory manually";

?>