<?php

// IPFM 2 Language Pack
// Directory listing

$page["title"]               = "File Manager - Browsing directory <%DIR%>";
$page["del_admin_message"]   = "<strong>You have a message from the administration:</strong><br /><br /><%ADMINMSG%><p class=\"delmsg\"align=\"right\"><a href=\"index.php?act=list&amp;op=delmsg&amp;dir=<%THIS%>\">Click here to delete</a></p>";
$page["admin_message"]       = "<strong>You have a message from the administration:</strong><br /><br /><%ADMINMSG%>";
$page["fatal_error"]         = "Fatal error";
$page["empty_directory"]     = "There are no files in this directory";
$page["no_filtered_files"]   = "There are no files of the selected type in this directory";
$page["login_history"]       = "<strong>You last logged in:</strong> <%TIME%> from <%ADDRESS%>";

$page["bookmark"]       = "Bookmark";
$page["upload"]         = "Upload";
$page["new_file"]       = "New file";
$page["new_directory"]  = "New directory";
$page["delete"]         = "Delete";
$page["rename"]         = "Rename";
$page["archive"]        = "Archive";
$page["edit"]           = "Edit";
$page["move"]           = "Move";
$page["copy"]           = "Copy";
$page["chmod"]          = "CHMOD";
$page["link"]           = "New symlink";

$page["open_url"]    = "Open URL";
$page["protect"]     = "Password protect";
$page["view_source"] = "View source";
$page["view_image"]  = "View image";
$page["view_mp3"]  = "View MP3 tags";
$page["verify"]      = "Verify File";
$page["extract"]     = "Extract";

$page["back"]         = "Back to parent directory";
$page["modified"]     = "Last modified:";
$page["chmod_label"]  = "CHMOD value:";
$page["owner_label"]  = "Owner:";
$page["group_label"]  = "Group:";
$page["size_label"]   = "File size:";
$page["total"]        = "Total size:";

$page["dirinfo"]     = "Directory information";
$page["readable"]    = "Is readable?";
$page["writeable"]   = "Is writeable?";
$page["folderowner"] = "Folder owner:";
$page["foldergroup"] = "Folder group:";
$page["file_count"]  = "Number of files:";
$page["dir_count"]   = "Number of directories:";
$page["notes_label"] = "Directory notes:";
$page["editnotes"]   = "Edit notes";

$page["predef"]         = "Predefined filter:";
$page["custom"]         = "Custom filter:";

$page["no_admin_msg"]                       = "There were no messages to delete";
$page["error_delete_admin_msg"]             = "The admin message could not be deleted";
$page["timeout_delete_adminmsg"]            = "The admin message can not be deleted yet";
$page["no_file_to_get"]                     = "The file you selected does not exist";
$page["no_permission_to_get"]               = "You do not have permission to download the file <%FILE%>";
$page["error_updating_notes"]               = "Could not update the directory notes";
$page["notes_updated"]                      = "The directory notes have been updated";
$page["no_such_file"]                       = "The file <%FILE%> does not exist";
$page["no_such_files"]                      = "The files <%FILE%> do not exist";
$page["error_delete_file"]                  = "The file <%FILE%> could not be deleted";
$page["error_delete_files"]                 = "The files <%FILE%> could not be deleted";
$page["delete_filetype_permission"]         = "The file <%FILE%> was not deleted as you do not have permission to do so";
$page["delete_filetypes_permission"]        = "The files <%FILE%> were not deleted as you do not have permission to do so";
$page["all_deleted"]                        = "The selected files and directories have been deleted";
$page["part_deleted"]                       = "The remaining files and directories were deleted sucessfully";
$page["no_such_directory"]                  = "The directory <%FILE%> does not exist";
$page["no_such_directories"]                = "The directories <%FILE%> do not exist";
$page["error_delete_directory"]             = "The directory <%FILE%> could not be deleted";
$page["error_delete_directories"]           = "The directories <%FILE%> could not be deleted";
$page["delete_filetype_permission_dir"]     = "The directory <%FILE%> was not fully deleted as you do not have permission to delete some of its content";
$page["delete_filetypes_permission_dir"]    = "The directories <%FILE%> were not fully deleted as you do not have permission to delete some of their content";
$page["no_delete_selected"]                 = "You did not select any files or directories to delete";
$page["no_link_selected"]                   = "You did not select any files or directories to create a link to";
$page["more_links_selected"]                = "You can only create a link to one file or directory at a time";
$page["no_rename_selected"]                 = "You did not select any files or directories to rename";
$page["no_chmod_selected"]                  = "You did not select any files or directories to CHMOD";
$page["newdir_exists"]                      = "Sorry you can not overwrite an existing directory";
$page["error_creating_newdir"]              = "The new directory could not be created";
$page["newdir_invalid"]                     = "The new directory name contains invalid characters";
$page["newdir_created"]                     = "The new directory was created successfully";
$page["uploaded"]                           = "The file was uploaded successfully";
$page["all_uploaded"]                       = "All files were uploaded successfully";
$page["part_uploaded"]                      = "The remaining files were uploaded sucessfully";
$page["upload_too_large"]                   = "The file <%FILE%> was too large, your server configuration has an upload limit of {LIMIT}";
$page["uploads_too_large"]                  = "The files <%FILE%> were too large, your server configuration has an upload limit of {LIMIT}";
$page["upload_partial"]                     = "The file <%FILE%> was only partially uploaded";
$page["uploads_partial"]                    = "The file <%FILE%> was only partially uploaded";
$page["upload_none"]                        = "You did not select a file to upload";
$page["upload_filetype_permission"]         = "<%FILE%> was not uploaded as you do not have permission to that type of file";
$page["upload_filetypes_permission"]        = "<%FILE%> were not uploaded as you do not have permission to those types of file";
$page["upload_error_copy"]                  = "The file <%FILE%> could not be uploaded, please ensure that the current directory is writeable";
$page["upload_errors_copy"]                 = "The files <%FILE%> could not be uploaded, please ensure that the current directory is writeable";
$page["upload_overwrite"]                   = "The file <%FILE%> was not uploaded as you are not allowed to overwrite existing files";
$page["uploads_overwrite"]                  = "The files <%FILE%> were not uploaded as you are not allowed to overwrite existing files";
$page["upload_low_space"]                   = "The file <%FILE%> was not uploaded as you do not have enough free space";
$page["uploads_low_space"]                  = "The files <%FILE%> were not uploaded as you do not have enough free space";
$page["no_move_selected"]                   = "You did not select any files or directories to move";
$page["no_copy_selected"]                   = "You did not select any files or directories to copy";
$page["copy_filetype_permission"]           = "<%FILE%> was not copied as you do not have permission to that type of file";
$page["copy_filetypes_permission"]          = "<%FILE%> were not copied as you do not have permission to those types of file";
$page["move_filetype_permission"]           = "<%FILE%> was not moved as you do not have permission to that type of file";
$page["move_filetypes_permission"]          = "<%FILE%> were not moved as you do not have permission to those types of file";
$page["copy_no_such_file"]                  = "The file <%FILE%> does not exist";
$page["copy_no_such_files"]                 = "The files <%FILE%> do not exist";
$page["copy_overwrite"]                  = "The file <%FILE%> was not transferred as you don't have permission to overwrite an existing file";
$page["copy_overwrites"]                 = "The files <%FILE%> was not transferred as you don't have permission to overwrite existing files";
$page["copy_error"]                         = "The file <%FILE%> could not be copied, please ensure that the target directory is writeable";
$page["copy_errors"]                        = "The files <%FILE%> could not be copied, please ensure that the target directory is writeable";
$page["move_error"]                         = "The file <%FILE%> could not be movied, please ensure that the target directory is writeable";
$page["move_errors"]                        = "The files <%FILE%> could not be movied, please ensure that the target directory is writeable";
$page["copy_path_error"]                    = "You can not copy a directory in to itself";
$page["move_path_error"]                    = "You can not move a directory in to itself";
$page["source_dir_error"]                   = "The directory <%FILE%> does not exist";
$page["source_dir_errors"]                  = "The directories <%FILE%> do not exist";
$page["target_dir_error"]                   = "The target directory <%FILE%> already exists, please rename the directory first";
$page["target_dir_errors"]                  = "The target directories <%FILE%> already exist, please rename the directories first";
$page["copy_filetype_permission_dir"]       = "The directory <%FILE%> was not fully copied as you do not have permission to delete some of its content";
$page["copy_filetypes_permission_dir"]      = "The directories <%FILE%> were not fully copied as you do not have permission to delete some of their content";
$page["move_filetype_permission_dir"]       = "The directory <%FILE%> was not moved completely as you do not have permission to delete some of its content";
$page["move_filetypes_permission_dir"]      = "The directories <%FILE%> were not moved completely as you do not have permission to delete some of their content";
$page["error_copy_irectory"]                = "The directory <%FILE%> could not be copied";
$page["error_copy_directories"]             = "The directories <%FILE%> could not be copied";
$page["error_move_directory"]               = "The directory <%FILE%> could not be moved";
$page["error_move_directories"]             = "The directories <%FILE%> could not be moved";
$page["copy_all_done"]                      = "All files and directories were copied successfully";
$page["move_all_done"]                      = "All files and directories were moved successfully";
$page["partial_copy"]                       = "The remaining files and directories were copied sucessfully";
$page["partial_move"]                       = "The remaining files and directories were moved sucessfully";
$page["bookmark_invalid"]                   = "You did not enter a valid bookmark name";
$page["bookmark_created"]                   = "The bookmark was created successfully";
$page["bookmark_not_created"]               = "The bookmark could not be created";
$page["rename_invalid"]                     = "<%FILE%> could not be renamed as you entered an invalid name";
$page["renames_invalid"]                    = "<%FILE%> could not be renamed as you entered invalid names";
$page["rename_no_such_file"]                = "<%FILE%> could not be renamed as it does not exist";
$page["rename_no_such_files"]               = "<%FILE%> could not be renamed as they do not exist";
$page["rename_target_exists"]               = "The file <%FILE%> was not renamed as the target file already exists, please rename the existing file first";
$page["rename_targets_exist"]               = "The files <%FILE%> were not renamed as the targets already exists, please rename the existing files first";
$page["rename_filetype_permission"]         = "<%FILE%> was not renamed as you do not have permission to do so";
$page["rename_filetypes_permission"]        = "<%FILE%> were not renamed as you do not have permission to do so";
$page["rename_to_filetype_permission"]      = "<%FILE%> was not renamed as you do not have permission to use the filename you entered";
$page["rename_to_filetypes_permission"]     = "<%FILE%> were not renamed as you do not have permission to use the filenames you entered";
$page["rename_error"]                       = "The file <%FILE%> could not be renamed";
$page["rename_errors"]                      = "The files <%FILE%> could not be renamed";
$page["all_renamed"]                        = "The selected files and directories were renamed succesfully";
$page["partial_rename"]                     = "The remaining files and directories were renamed succesfully";
$page["chmod_filetype_permission"]         = "The file <%FILE%> was not CHMODed as you do not have permission to do so";
$page["chmod_filetypes_permission"]        = "The files <%FILE%> were not CHMODed as you do not have permission to do so";
$page["chmod_filetype_permission_dir"]     = "The directory <%FILE%> was not fully CHMODed as you do not have permission to CHMOD some of its content";
$page["chmod_filetypes_permission_dir"]    = "The directories <%FILE%> were not fully CHMODed as you do not have permission to CHMOD some of their content";
$page["error_chmod_file"]                  = "The file <%FILE%> could not be CHMODed";
$page["error_chmod_files"]                 = "The files <%FILE%> could not be CHMODed";
$page["error_chmod_directory"]             = "The directory <%FILE%> could not be CHMODed";
$page["error_chmod_directories"]           = "The directories <%FILE%> could not be CHMODed";
$page["chmod_filetype_permission_dir"]     = "The directory <%FILE%> was not fully CHMODed as you do not have permission to CHMOD some of its content";
$page["chmod_filetypes_permission_dir"]    = "The directories <%FILE%> were not fully CHMODed as you do not have permission to CHMOD some of their content";
$page["all_chmod"]                         = "All files and directories were CHMODed successfully";
$page["part_chmod"]                        = "The remaining files and directories were CHMODed sucessfully";
$page["link_path_error"]                   = "You can not link to a directory from within itself";
$page["link_invalid"]                      = "The link could not be created as you entered an invalid name";
$page["link_exists"]                       = "A file by that name already exists, you can not overwrite existing files with links";
$page["link_error"]                        = "There was an unknown error creating the symlink";
$page["link_created"]                      = "The symlink was created successfully";
$page["no_password_changes"]               = "You did not change any of the settings, so no changes were made";
$page["password_remove_error"]             = "There was an error unprotecting the directory";
$page["unprotected"]                       = "All usernames were successfully removed, the directory is no longer protected";
$page["error_saving_passwords"]            = "There was an error saving the password, please ensure that the target directory is writeable";
$page["error_saving_config"]               = "There was an error protecting the directory, please ensure that the target directory is writeable";
$page["error_reading_file"]                = "There was an error reading the file, please ensure that the target file is readable";
$page["protected"]                         = "The directory has successfully been protected";
$page["protect_no_target"]                 = "The target directory does not exist";
$page["protect_htaccess_exists"]           = "Sorry but an Apache configuration file already exists in this directory so you can not password protect it";
$page["error_loading_archive"]             = "There was an error loading the archiving module";
$page["archive_save_error"]                = "There was an error saving the archive";
$page["archive_filetype_permission"]       = "The file <%FILE%> was not added to the archive as you do not have permission to access it";
$page["archive_filetypes_permission"]      = "The files <%FILE%> were not added to the archive as you do not have permission to access them";
$page["archive_filetype_permission_dir"]   = "The directory <%FILE%> was not added to the archive as you do not have permission to access it";
$page["archive_filetypes_permission_dir"]  = "The directories <%FILE%> were not added to the archive as you do not have permission to access them";
$page["archive_nosub_file_permission"]     = "Some files within the selected directories were not added to the archive as you do not have permission to access them";
$page["archive_empty"]                     = "The archive was not created as you do not have access to any of the files you selected";
$page["archive_created_errors"]            = "All remaining files and directories were added successfully";
$page["archive_created"]                   = "The archive was created successfully";
$page["no_archive_selected"]               = "You did not select any files or directories to archive";
$page["file_locked"]                       = "Sorry but the selected file is currently being edited by another person";
$page["file_not_exist"]                    = "The selected file does not exist";
$page["file_saved"]                        = "The file was saved successfully";
$page["no_zlib_module"]                    = "The requested compression method requires the Zlib module to be loaded";
$page["no_bzip2_module"]                   = "The requested compression method requires the BZip2 module to be loaded";
$page["no_zip_module"]                     = "The requested compression method requires the Zip module to be loaded";
$page["error_open_archive"]                = "There was an error opening the archive";
$page["extract_dir_structure"]             = "There was an error creating the required directory structure<br />";
$page["extract_no_permission"]             = "Some files were not extracted as you do not have permission to their file type<br />";
$page["extract_no_overwrite_permission"]   = "Some files could not be extracted as you do not have permission to overwrite existing files<br />";
$page["extract_no_overwrite_selected"]     = "Some files could not be extracted as you choose not to overwrite existing files<br />";
$page["extract_low_space"]                 = "Some files could not be extracted as you are low on disk space<br />";
$page["extract_error"]                     = "Some files could not be written, ensure you have write access to the target directory<br />";
$page["extract_error_all"]                 = "No files could be extracted, ensure you have enough disk space and write access to the target directory<br />";
$page["extract_error_partial"]             = "All remaining files were extracted successfully<br />";
$page["extract_no_delete"]                 = "You do not have permission to delete the archive";
$page["extracted_all"]                     = "All files have been extracted successfully";
$page["extracted_all_deleted"]             = "<br />The archive has been deleted as requested";
$page["extracted_all_not_deleted"]         = "<br />The archive could not be deleted as requested";


$page["no_msg_permission"]                  = "You do not have permission to delete a message from the administration";
$page["no_notes_permission"]                = "You do not have permission to edit directory notes";
$page["no_delete_permission"]               = "You do not have permission to delete files or directories";
$page["no_mkdir_permission"]                = "You do not have permission to create a new directory";
$page["no_rename_permission"]               = "You do not have permission to rename files or directories";
$page["no_upload_permission"]               = "You do not have permission to upload files";
$page["no_overwrite_permission"]            = "You do not have permission to overwrite an existing file";
$page["no_move_permission"]                 = "You do not have permission to move files or directories";
$page["no_copy_permission"]                 = "You do not have permission to copy files or directories";
$page["no_chmod_permission"]                = "You do not have permission to run the CHMOD command";
$page["no_symlink_permission"]              = "You do not have permission to create symlinks";
$page["no_htpasswd_permission"]             = "You do not have permission to password protect a directory";
$page["no_archive_permission"]              = "You do not have permission to create archives";
$page["no_compression_permission"]          = "You do not have permission to use the selected compression method";
$page["no_extraction_permission"]           = "You do not have permission to extract files from an archive";
$page["no_editor_permission"]               = "You are not authorised to access the file editor";
$page["no_ucp_permission"]                  = "You are not authorised to access the user control panel";
$page["no_dbman_permission"]                = "You are not authorised to access the database manager";

$page["show_all"]     = "Show all files";
$page["fold_only"]    = "Folders only";
$page["img_only"]     = "Images only";
$page["mm_only"]      = "Multimedia files only";
$page["archive_only"] = "Archives only";
$page["ascii_only"]   = "ASCII files only";
$page["db_only"]      = "Databases only";
$page["off_only"]     = "Office documents only";
$page["bin_only"]     = "Other common files";
$page["show_others"]  = "All other files";
$page["custom_only"]  = "Custom filter...";

$page["pages"]               = "pages";
$page["page"]                = "page";
$page["view_all"]            = "View all";
$page["invalid_page_number"] = "You did not enter a valid page number";

?>