<?php

// IPFM 2 Language Pack
// Registration form

$page["title"] = "Registration";
$page["instruct_title"] = "Registration Instructions";
$page["instructions"] = "Please ensure that you complete all the fields fully, taking particular care over the password fields";
$page["username"] = "Username:";
$page["username_tip"] = "Usernames must be between <%MIN_USER_LEN%> and 32 characters long";
$page["password"] = "Password:";
$page["password_tip"] = "Passwords must be between <%MIN_PASS_LEN%> and 32 characters long";
$page["confirm_password"] = "Re-enter password:";
$page["confirm_tip"] = "It must match <em>exactly</em>";
$page["email"] = "Email address:";
$page["email_tip"] = "You will need to enter a <em>real</em> email address";
$page["confirm_email"] = "Re-enter email address:";
$page["security"] = "Security code";
$page["unique_code"] = "Unique security code:";
$page["code_tip"] = "If you do not see any numbers, or see broken images, please contact an administrator to rectify the problem";
$page["confirm_code"] = "Confirm security code:";
$page["confirm_code_tip"] = "To prevent mass registration programs from registering accounts, please enter the code shown in the image above";
$page["terms"] = "Terms of service";
$page["terms_agree"] = "Please read fully and check the 'I agree' box ONLY if you agree to the terms";
$page["agree"] = "I agree";
$page["register"] = "Register";
$page["cancel"] = "Cancel";
$page["error"] = "Error:";

$page["password_length_invalid"] = "Sorry but the length of the password is not within the allowed limit";
$page["username_length_invalid"] = "Sorry but the length of the username is not within the allowed limit";

$page["security_image"] = "Security check";

$page["password_mismatch"] = "Sorry but the passwords you entered do not match";
$page["email_invalid"] = "Sorry but the email address you entered is not valid";
$page["email_mismatch"] = "Sorry but the email addresses you entered do not match";
$page["security_code_invalid"] = "The security code you entered is not valid";
$page["must_agree"] = "You must agree to the terms of service before you can continue registration";
$page["email_used"] = "Sorry but the email address you entered is already in use";
$page["username_used"] = "Sorry but the username you entered is already in use";
$page["username_invalid"] = "Sorry but the username you entered contains invalid characters";

$page["error_adding_user"] = "There was an error adding the user to the database, please <a href=\"javascript:history.go(-1);\">go back</a> and try again";
$page["error_creating_root"] = "There was an error creating your root directory, please contact the server administrator at <a href=\"mailto:<%EMAIL%>\"><%EMAIL%></a>";
$page["registration_done_login"] = "The registration is complete. <a href=\"index.php?act=login\">Click here</a> to login and start using your account";
$page["registration_done_start"] = "The registration is complete. <a href=\"index.php?act=list\">Click here</a> to start using your account";
$page["registration_done_email"] = "The registration is complete. Please check your email in order to start using your account";
$page["registration_done_admin"] = "The registration is complete. You will need to wait for the administration to approve your account before you may start using it";

$page["registration_email_subject"] = "File manager - Account validation";
$page["lostpass_email_subject"] = "File manager - Lost password";
$page["resetpass_email_subject"] = "File manager - Password reset";

$page["resend_done_email"] = "A new validation email has been sent. Please check your email in order to start using your account";

$page["validation_title"] = "Account validation";
$page["validation_complete"] = "Account validation complete. <a href=\"index.php?act=login\">Click here</a> to login and start using your account";
$page["validation_email_complete"] = "You have completed email validation, your account must now be validated by the site administration";
$page["validation_admin_only"] = "Your account is waiting to be validated by the site administration";
$page["no_such_validation_key"] = "There is no account waiting to be validated with that validation key, please check that you entered it correctly";
$page["password_validation_not_allowed"] = "You can not use password retrievel as you are still waiting for your account to be validated. Please use the <a href=\"index.php?act=reg&amp;op=svalid\">resend validation email</a> option";

$page["instruct_title_manual"] = "Manual account validation";
$page["manual_instructions"]   = "Please ensure that you complete the form fully. The information you need will be in the email that was sent to you";
$page["uid"] = "User ID:";
$page["key"] = "Validation key:";
$page["validate"] = "Validate account";
$page["title_manual"] = "Manual account validation";

$page["invalid_key"] = "The validation key you entered is not valid for the user ID you entered";

$page["send_instructions"] = "Enter either your username or email address, if you enter both the username will be used";
$page["lost_password_title"] = "Retrieve lost password";
$page["resend_title"] = "Resend validation email";
$page["send_email"] = "Send email";
$page["no_user_or_email"] = "You must enter either your username or email address";
$page["resend_no_account"] = "No account could be found with the details you provided";
$page["lostpass_sent"] = "An email has been sent to your registered address with instructions on how to retrieve your account password";
$page["resend_email_slow"] = "Please allow the validating email longer to arrive";

?>