<?php

/*
 * Invision Power File Manager
 * Note editor
 * Copyright (c) 2005 Invision Power Services
 * -------------------------------------
 * You may not remove the copyright or
 * redistribute the script in any form
 *
 * Authors: Stephen Ball
 * Version: 1.0.0
 * Last Modified: 9th August 2004
 *
 */

// Security check
if (defined("IPFM_RUNNING") == false)
{
    die("You can not access this module directly");
}

/* -----------------------------------------
                Program Execution
   ----------------------------------------- */

// Set some parameters
$global_tpl = "skin/popup.tpl";

$input["dir"] = clean_path($input["dir"]);

if (empty($input["dir"]) == true)
{
    $dir = $permissions["root"];
}
else
{
    $dir = $permissions["root"] . $input["dir"] . "/";
}

$name         = basename($dir) == "" ? "/" : basename($dir);
$page["file"] = "/" . $input["dir"];

// If we are running on Windows we need to reverse the slashes
if (is_win() == true)
{
    $page["file"] = preg_replace("/[\/]/", "\\", $page["file"]);
    $name         = preg_replace("/[\/]/", "\\", $name);
}

$page["icon"]     = "<img src=\"images/icons/openfolder.gif\" border=\"0\" alt=\"" . $name . "\" title=\"" . $name . "\" />";

// Load the notes
$page["notes"] = "";
if (file_exists($dir . $settings["notes"]) == true)
{
    $fp = fopen($dir . $settings["notes"], "r");

    if ($fp == true)
    {
        file_lock($fp);
        $page["notes"] = fread($fp, filesize($dir . $settings["notes"]));
        file_lock($fp, LOCK_UN);
        fclose($fp);
    }
}

// Construct the page
$page["content"] = static_template($settings["script_dir"] . "skin/cards/notes.tpl", $page);
$page["js"]      = "notes";
$page["this"]    = $input["dir"];

?>