<?php

/*
 * Invision Power File Manager
 * Language File List
 * Copyright (c) 2005 Invision Power Services
 * -------------------------------------
 * You may not remove the copyright or
 * redistribute the script in any form
 *
 * Authors: Stephen Ball
 * Version: 1.0.0
 * Last Modified: 16th October 2004
 *
 */

// This script is for internal use in the Control Panel only so you should NOT edit it
// Numerical indexes are defined when not neeeded because it makes it easier to keep track of the current index

// Template categories
$languages["sections"] = array(0  => $page["multi_line"],
                               1  => $page["archive_creation"],
                               2  => $page["bookmark_creation"],
                               3  => $page["chmod_dialog"],
                               4  => $page["global_string"],
                               5  => $page["dbman"],
                               6  => $page["delete_dialog"],
                               7  => $page["file_editor"],
                               8  => $page["sql_driver"],
                               9  => $page["archive_extraction"],
                               10 => $page["img_view"],
                               11 => $page["icons"],
                               12 => $page["symlink_dialog"],
                               13 => $page["file_list"], 
                               14 => $page["login_screen"],
                               15 => $page["newdir_dialog"],
                               16 => $page["newfile_dialog"],
                               17 => $page["move_copy"],
                               18 => $page["id3_viewer"],
                               19 => $page["multi_upload"],
                               20 => $page["dirnotes"],
                               21 => $page["htaccess_dialog"],
                               22 => $page["reg_page"],
                               23 => $page["rename_dialog"],
                               24 => $page["source_view"],
                               25 => $page["templates"],
                               26 => $page["upload_dialog"],
                               27 => $page["ucp"],
                               28 => $page["md5_viewer"]
                         );

// The file names for the template, the index/key relates to the template ID
$languages["files"]    = array(1  => "archive",
                               2  => "bookmark",
                               3  => "chmod",
                               4  => "common",
                               5  => "database",
                               6  => "delete",
                               7  => "editor",
                               8  => "error",
                               9  => "extract",
                               10 => "image",
                               11 => "legend",
                               12 => "link",
                               13 => "listing",
                               14 => "login",
                               15 => "mkdir", 
                               16 => "mkfile",
                               17 => "move",
                               18 => "mp3",
                               19 => "multi-upload",
                               20 => "notes",
                               21 => "protect",
                               22 => "register",
                               23 => "rename",
                               24 => "source",
                               25 => "templates",
                               26 => "upload",
                               27 => "usercp",
                               28 => "verify"
                         );

$languages["multi"] =    array("new_password"              => "newpass",
                               "password_recovery"         => "password",
                               "registration_confirmation" => "register",
                               "terms_of_service"          => "tos"
                         );

// Special files
$languages["special"] =  array("multi"                     => 0,    // Multi line entries
                               "templates"                 => 25,   // File templates
                         );

?>