<?php

$page["section_title"] = "(Users and groups) ";

$page["manage_groups"] = "User group management";
$page["manage_caption"] = "Manage user groups";
$page["manage_description"] = "User grouping is a quick and powerful way to organise your members. There are 3 preset groups that you cannot remove although you may edit these at will.";

$page["groupInfo"] = "View group permissions";
$page["group_title"] = "Group permissions";
$page["ext_info"] = "Click for info (External link)";
$page["access_type_disallowed"] = "Disallowed filetypes:";
$page["access_type_allowed"] = "Allowed filetypes:";

$page["add_description"] = "Fill in the form below to create a new user group";
$page["add_caption"] = "Add user group";

$page["admin_acp"] = "Sorry but you can't remove ACP access from the preset admin group";

$page["edit_user_group"] = "Edit user group";
$page["base_on"] = "Base new group on...";
$page["make_new_group"] = "Set up new group";
$page["group_name"] = "Group name:";
$page["group_name_info"] = "The group name cannot be more than 32 characters long";
$page["action_permissions"] = "Action permissions";
$page["add_dir_notes"] = "Add directory notes?";
$page["del_admin_message"] = "Delete administration messages?";
$page["bookmark_items"] = "Use bookmarks?";
$page["file_stats"] = "View file statistics?";
$page["use_chmod"] = "Use CHMOD?";
$page["delete_items"] = "Delete files/folders?";
$page["rename_items"] = "Rename files/folders?";
$page["upload_files"] = "Upload files?";
$page["download_files"] = "Download files?";
$page["download_info"] = "This is to allow users to download files such as PHP scripts which direct URL access would show as the output rather than the source code";
$page["password_dir"] = "Password protect directories?";
$page["can_edit"] = "Edit allowed files?";
$page["show_source"] = "View source code?";
$page["show_images"] = "View images?";
$page["show_mp3"] = "View MP3 ID3 tags?";
$page["show_images_info"] = "Allows the user to view images without having to save them if you have the 'Show URL' option disabled";
$page["copy_to"] = "Copy files/folders?";
$page["move_to"] = "Move files/folders?";
$page["create_dir"] = "Create new folders?";
$page["create_file"] = "Create new files?";
$page["overwrite_files"] = "Overwrite existing files?";
$page["make_archive"] = "Create archives?";
$page["extract_archive"] = "Extract archives?";
$page["symlinks"] = "Make new symlinks?";
$page["view_hash"] = "View the MD5 hash of a file?";
$page["view_hash_info"] = "This is useful if you allow the user to download/upload large files as it allows the user to easily verify that the upload/download operation didn't corrupt the file";
$page["access_permissions"] = "Access permissions";
$page["view_url"] = "Show URL?";
$page["view_ucp"] = "Access the User settings CP?";
$page["view_ucp_info"] = "This setting has no impact on guest accounts, guest users can not change user settings for security reasons";
$page["view_acp"] = "Access the Administration CP?";
$page["view_offline"] = "Access the offline file manager?";
$page["file_permissions"] = "File permissions";
$page["no_extension"] = "Allow extensionless files?";
$page["no_extension_info"] = "If selected the group has permission to use files with no extension";
$page["view_hidden"] = "Show disallowed files?";
$page["view_hidden_info"] = "If selected the group will be able to see that files that don't have access to, but won't be able to interact with them";
$page["archive_options"] = "Archive options:";
$page["archive_options_info"] ="Allows you to limit what action the user may take when they create archives";
$page["space_limit"] = "Space limit:";
$page["space_limit_info"] = "This setting can be overwritten on a 'per user' basis";
$page["save_archive"] = "Save to disk only";
$page["download_archive"] = "Download archive only";
$page["both_archive"] = "Save and/or download";
$page["disallow_list"] = "Disallow the listed filetypes";
$page["allow_list"] = "Allow only the listed filetypes";
$page["file_types"] = "File types:";
$page["file_types_info"] = "This is a space seperated list of case insensitive file extensions";
$page["preset"] = "Preset";
$page["more_archive"] = "View more archiving options";

$page["edit_group"] = "Edit group";
$page["delete_group"] = "Delete group";
$page["group_name_lbl"] = "Group title";
$page["acp_access"] = "Access ACP?";
$page["members"] = "Members";
$page["edit"] = "Edit";
$page["delete"] = "Delete";

$page["invalid_groupname"] = "Sorry but the group name can not be more than 32 characters in length";
$page["invalid_space"] = "The space limit is invalid, please enter only numeric values";
$page["invalid_types"] = "You have selected to allow access to no files, sorry but this can not be done";

$page["group_used"] = "Sorry but the group name you entered is already in use";

$page["update_error"] = "There was an unknown error updating the group permissions, please ensure you have UPDATE permission for the groups table";
$page["add_error"] = "There was an unknown error creating the user group, please ensure you have INSERT permission for the groups table";
$page["edit_done"] = "The user group was updated successfully";
$page["add_done"] = "The new user group was created successfully";

$page["delete_caption"] = "Delete user group";
$page["delete_description"] = "Please check to ensure that you are attempting to remove the correct group";
$page["change_to"] = "Move users in this group to...";
$page["total_group"] = "Total members in this group:";
$page["new_name"] = "New group";
$page["confirm_delete"] = "Delete user group: <%GROUP%>";
$page["protected_group"] = "Sorry but the group you selected to delete is a protected group and can not be deleted";
$page["default_group"] = "Sorry but you can't select the default group. You can change the default group <a href=\"admin.php?act=set&amp;op=reg\">here</a>";
$page["source_is_target"] = "Sorry but you can't move users to and from the same group";
$page["group_gone"] = "User group deleted";
$page["delete_error"] = "There was an unknown error deleting the group, please ensure you have DELETE permission for the groups table";
$page["deleted"] = "The user group was deleted successfully";

?>