<?php
$page["section_title"] = "(Language packs) ";
$page["manage_caption"] = "Manage languages";
$page["manage_description"] = "Language packs allow you to easily change the text displayed on the screen. You may not delete the default language pack, you may change the default language pack on the <a href=\"admin.php?act=set&amp;op=misc\">misc options</a> screen.<p>Please note: When using the &quot;Export&quot; option the download may appear to hang, this is not the case and if you leave it for a moment it should complete the download successfully</p>";
$page["manage_languages"] = "Language pack management";
$page["list_caption"] = "Edit language pack";
$page["edit_caption"] = "Edit language file";
$page["file_edit_caption"] = "Edit language file (<%FILE%>)";
$page["edit_description"] = "Change the values in the fields below in order to update the language pack, fields marked like so <span class=\"default\">some_string_variable</span> are entries which are missing from the language file<br /><br />If the inherit option is selected the values will be taken from the default language page.<br /><br />This file is from the <a href=\"admin.php?act=lng&amp;op=list&amp;id=<%ID%>\"><%LANG%> language pack</a>";
$page["new_caption"] = "Add a new language pack";
$page["new_description"] = "Edit the content below to create a new language pack. The initial values will all be inherited from the default language pack.";
$page["section_name"] = "Language section";
$page["language_name"] = "Language name";
$page["export"] = "Export";
$page["edit"] = "Edit";
$page["delete"] = "Delete";
$page["default_lang"] = "<span class=\"default\">(Default language)</span>";
$page["missing_entries"] = "<span class=\"default\">(<%MISSING%> entries missing)</span>";
$page["add_caption"] = "Create a new language pack";
$page["make_new_lang"] = "Create new language pack";
$page["edit_info"] = "Edit language set information";
$page["lang_set_name"] = "Language set name:";
$page["edit_details"] = "Edit language set details";
$page["entries"] = "Entries";
$page["size"] = "Size";
$page["left_to_right"] = "Left to right";
$page["right_to_left"] = "Right to left";
$page["lang_name_lbl"] = "Language name:";
$page["lang_name_info"] = "This is the name which is shown to the user when they change their language pack";
$page["lang_dir"] = "Language directory:";
$page["lang_dir_info"] = "This is the directory the pack is stored in, it is recommended you use <a href=\"http://www.ietf.org/rfc/rfc1766.txt\" target=\"_blank\">language identification tags</a> for example en for English, it for Italian etc..";
$page["author_name_lbl"] = "Author's name:";
$page["author_email_lbl"] = "Author's email:";
$page["edit_lang_files"] = "Edit language files";
$page["charset_lbl"] = "Character set:";
$page["direction_lbl"] = "Reading direction:";
$page["encoding_lbl"] = "Encoding:";
$page["xml_lang"] = "XML Language:";
$page["view_html_manual"] = "View HTML manual entry";
$page["settings"] = "Settings";
$page["author_heading"] = "Author";
$page["html_elements"] = "HTML elements";
$page["invalid_lang"] = "The language pack you selected does not exist";
$page["invalid_langfile"] = "The language file you selected does not exist";
$page["created_by"] = "This language pack '<strong><%LANGNAME%></strong>' was created by <a href=\"mailto:<%MAIL%>\"><%AUTHOR%></a>";
$page["new_by"]  = "The new language pack was created successfully, you can edit it by selecting from the options below, any files you do not edit will inherit their values from the default language pack. You can come back and change these values at a later time";
$page["string_lbl"] = "Language key";
$page["value_lbl"] = "String value";
$page["add_new"] = "Add new language strings";
$page["multi_line"] = "Multi line entries";
$page["archive_creation"] = "Archive creation";
$page["bookmark_creation"] = "Bookmark creation";
$page["chmod_dialog"] = "CHMOD dialog";
$page["global_string"] = "Global strings";
$page["dbman"] = "Database manager";
$page["delete_dialog"] = "Delete dialog";
$page["file_editor"] = "File editor";
$page["sql_driver"] = "SQL driver error";
$page["archive_extraction"] = "Archive extraction";
$page["img_view"] = "Image viewer";
$page["icons"] = "Icon legend";
$page["symlink_dialog"] = "Symlink creator";
$page["file_list"] = "File listing";
$page["login_screen"] = "Login screen";
$page["newdir_dialog"] = "New directory dialog";
$page["newfile_dialog"] = "New file dialog";
$page["move_copy"] = "Move to/Copy to dialog";
$page["id3_viewer"] = "MP3 ID3 tag viewer";
$page["multi_upload"] = "Multi file upload dialog";
$page["dirnotes"] = "Directory notes";
$page["htaccess_dialog"] = "Password protection dialog";
$page["reg_page"] = "Registration";
$page["rename_dialog"] = "Rename dialog";
$page["source_view"] = "Source viewer";
$page["templates"] = "Template descriptions";
$page["upload_dialog"] = "Upload dialog";
$page["ucp"] = "User control panel";
$page["md5_viewer"] = "MD5 hash viewer";
$page["inherit"] = "Inherit";
$page["missing_entry"] = "A required language field is missing";
$page["error_editing"] = "There was an error editing the language file, please ensure &quot;<%FILE%>&quot; is writeable";
$page["language_edited"] = "Language file saved";
$page["language_info_edited"] = "Language info saved";
$page["language_info_saved"] = "The language information was saved successfully.<br /><br /><a href=\"admin.php?act=lng&amp;op=list&amp;id=<%ID%>\">&laquo; Continue editing the <%LANG%> language pack</a>";
$page["language_saved"] = "The language file was saved successfully.<br /><br /><a href=\"admin.php?act=lng&amp;op=list&amp;id=<%ID%>\">&laquo; Continue editing the <%LANG%> language pack</a>";
$page["language_key_error"] = "The new language file entry you entered is not valid, language keys may only contain the characters A-Z, 0-9 and the underscore character. Language keys must also be unique.";
$page["delete_caption"] = "Delete a language pack";
$page["no_delete_default"] = "You can not delete the systems default language pack";
$page["invalid_charset"]  = "You did not enter a valid charset";
$page["invalid_encoding"] = "You did not enter a valid encoding scheme";
$page["invalid_xml"] = "You did not enter a valid xml language";
$page["invalid_lang_name"] = "You did not enter a language name";
$page["delete_pack"] = "Delete the language pack";
$page["delete_files"] = "Remove completely?";
$page["file_info"] = "The actual language files from the languages directory will be deleted also, this can not be undone";
$page["delete_description"] = "Please review the options below before deleting the <%LANG%> language pack. If you select not to delete the language pack completely you can re-import it later. Anyone using this language pack will be switched to the systems default language pack";
$page["error_deleting"] = "There was an error deleting the language pack, please ensure &quot;<%FILE%>&quot; is writeable";
$page["language_delete_saved"] = "The language pack was deleted successfully and the old files were archived.";
$page["language_delete_saved_part"] = "The language pack was deleted successfully but the old files were archived, you will need to do this manually.";
$page["language_deleted"] = "Language pack deleted";
$page["language_delete_full"] = "The language pack and all associated files were deleted successfully";
$page["language_delete_part"] = "The language pack was partially deleted, some files from the language directory could not be deleted, you should do this manually";
$page["directory_name_exists"] = "The directory name you entered is already in use";
$page["directory_name_invalid"] = "The directory name you entered is invalid";
$page["no_lang_name"] = "Please enter a name for the language pack";
$page["no_author"] = "Please enter a name for the author of this language pack";
$page["invalid_email"] = "The email address you entered is invalid";
$page["dir_not_made"] = "The required directory structure could not be created, please ensure that the languages directory is writeable";
$page["error_creating"] = "There was an error creating the language pack, please ensure &quot;<%FILE%>&quot; is writeable";
$page["export_caption"] = "Export a language pack";
$page["import_caption"] = "Import languages";
$page["import_description"] = "Below is a list of available language packs which can be imported. The script has attempted to guess the best values for the required settings but you can change them yourself. Any entries shown in red will need your attention as the value is already in use. Once you import a language pack its archive will be deleted.";
$page["archive_name"] = "Archive file";
$page["langname"] = "Language name";
$page["langdir"] = "Language directory";
$page["action"] = "Action";
$page["lang_name_exists"] = "The language name you entered is already in use";
$page["none_to_import"] = "There are no language packs to import, please upload them using the <a href=\"admin.php?act=misc&amp;op=upload\">language pack uploader</a>";
$page["language_dir_open"] = "The languages directory could not be opened, please ensure that the directory is readable and writeable";
$page["import_no_data"] = "There are no language packs to import";
$page["invalid_data"] = "The form data is invalid.";
$page["language_imported"] = "The language packs have been imported successfully."

?>