<?php

$page["section_title"] = "(System setup) ";

$page["cookies_description"] = "You should not need to change these settings unless you have another script which uses the same cookie names";
$page["cookies_caption"] = "Cookie settings";
$page["users"] = "User cookies";
$page["username"] = "Username:";
$page["password"] = "Password:";
$page["filter"] = "Filter:";
$page["administration"] = "Administration cookies";
$page["other"] = "Other";
$page["timeout"] = "Cookie timeout:";
$page["timeout_info"] = "The number of seconds a user cookie should last, leave blank to act as a session cookie.";
$page["cookie_info"] = "Cookie names must start with a letter or underscore.<br />Only letters, numbers or underscores can be used in cookie names.";
$page["charts_description"] = "This section allows you to easily change the colours used for the space usage charts, all other visual settings are changed by modifying the CSS file under &quot;Modify skin&quot;";
$page["charts_caption"] = "Pie chart colours";
$page["red"] = "Red";
$page["green"] = "Green";
$page["blue"] = "Blue";
$page["hex"] = "Hexadecimal code";
$page["overview"] = "Space usage overview";
$page["report"] = "Space usage report";
$page["free_space"] = "Free space:";
$page["used_space"] = "Used space:";
$page["folders"] = "Folders:";
$page["images"] = "Images:";
$page["media"] = "Multimedia files:";
$page["db"] = "Databases:";
$page["binary"] = "Binary files:";
$page["office"] = "Office documents:";
$page["archives"] = "Archives:";
$page["text"] = "ASCII (text) files:";
$page["misc"] = "Other files:";
$page["email_description"] = "Configures email setup for use with registration and password retrieval";
$page["email_caption"] = "Email setup";
$page["addresses"] = "Email Addresses";
$page["mail_name"] = "Mail from name:";
$page["outgoing"] = "Outgoing address:";
$page["incoming"] = "Incoming address:";
$page["sending"] = "Email sending";
$page["method"] = "Method:";
$page["method_info"] = "PHP mail is fine in the majority of cases";
$page["smtp"] = "SMTP settings";
$page["smtp_host_lbl"] = "Host:";
$page["smtp_port_lbl"] = "Port:";
$page["smtp_port_info"] = "The default port is 25";
$page["smtp_user_lbl"] = "Username:";
$page["smtp_pass_lbl"] = "Password:";
$page["reg_description"] = "Allows you to set up exactly how registration occurs";
$page["reg_caption"] = "Registration";
$page["allow_reg"] = "Allow registration?";
$page["anti_bot"] = "Security check (Anti-bot)";
$page["dynamic_img"] = "Dynamically generated image";
$page["static_img"] = "Static GIF image";
$page["no_verify"] = "No verification required";
$page["email_verify"] = "E-Mail verification";
$page["admin_verify"] = "Administration approval";
$page["both_verify"] = "Both email verificiation &amp; administration approval";
$page["security_img"] = "Use Anti-bot security image?";
$page["security_img_timeout"] = "Time until security images timeout:";
$page["retrival_email_timeout"] = "Time between password retrival attempts:";
$page["gd_img"] = "Image type:";
$page["gd_version"] = "GD version:";
$page["path_info"] = "You can use any of the following &quot;variables&quot; in the path/URL";
$page["reg_groupname"] = "Group name";
$page["reg_username"] = "Username";
$page["reg_timestamp"] = "Timestamp of registration";
$page["reg_email"] = "Registered email address";
$page["new_reg_root"] = "New root directory:";
$page["new_reg_url"] = "New root URL:";
$page["reg_completion"] = "Registration completion";
$page["validate"] = "Account validation:";
$page["default_group"] = "Place new users in which group?";
$page["login_complete"] = "Login automatically upon completion?";
$page["pass_length"] = "Minimum password length:";
$page["user_length"] = "Minimum username length:";
$page["field_lengths"] = "Field sizes";
$page["types_description"] = "Here you may change which icons are related to which file extensions.<br />The extension lists are space seperated and case insensitive.<br /><strong>Icon path:</strong> <%ICONDIR%>";
$page["types_caption"] = "File associations";
$page["icon"] = "Icon file";
$page["extension"] = "File extensions";
$page["delete"] = "Delete?";
$page["current_types"] = "Existing associations";
$page["new_types"] = "New associations";
$page["new"] = "New file type";
$page["edit_description"] = "This section allows you to fine tune file editing.";
$page["edit_caption"] = "File editing";
$page["general"] = "General settings";
$page["default_ext"] = "Default extension:";
$page["ulock"] = "Use user file locking?";
$page["ulock_info"] = "Prevent two users of File Manager from editing the same file";
$page["flock"] = "Use process file locking (flock)?";
$page["flock_info"] = "Prevent two processes from editing the same file";
$page["ulock_timeout"] = "File lock timeout:";
$page["file_types"] = "File types";
$page["ascii_types"] = "ASCII file types:";
$page["ascii_types_info"] = "File types listed here can be edited with the file editor, unless they are specified in the group 'Disallowed file types'<br />This list is space seperated and case insensitive";
$page["filter_description"] = "From here you can set up the filters for the different file viewing modes<br ><strong>Note:</strong> The ASCII (Text) file filter simply uses the ASCII file types list from the <a href=\"admin.php?act=set&amp;op=edit\">File editing</a> settings";
$page["filter_caption"] = "File filters";
$page["offline_description"] = "From here you can control how the system behaves when turned off, and which users can still access it";
$page["offline_caption"] = "Turn file manager on/off";
$page["turn_off"] = "Turn file nanager off?";
$page["turn_off_info"] = "The file manager will still be accessable by those who have permission";
$page["reason"] = "Offline message:";
$page["resources_description"] = "This sections allows you to control things which can affect bandwidth usage and server load";
$page["resources_caption"] = "Resource management";
$page["http_headers"] = "HTTP headers";
$page["redirect"] = "Redirect type:";
$page["caching"] = "Send 'no cache' headers?";
$page["stats"] = "Statistics";
$page["zlib_compress"] = "GZIP compress output?";
$page["show_load"] = "Show server load?";
$page["show_load_info"] = "*nix only, you need read access to /proc/loadavg";
$page["queries"] = "Show query count?";
$page["use_location"] = "Use location header";
$page["use_refresh"] = "Use refresh header";
$page["use_meta"] = "Use 'dirty' HTML meta-refresh";
$page["archiving_description"] = "From here you can select which archiving methods are available. Even if you enable an archiving type here it will not be available to users if they have it in their 'Disallowed file types' list";
$page["archiving_caption"] = "Archiving options";
$page["ratios"] = "Ratios";
$page["arc_method"] = "Methods";
$page["gzip"] = "GZip:";
$page["gzip_info"] = "Server load goes up as the ratio does, but the output file size goes down";
$page["bzip2"] = "BZip2:";
$page["bzip2_info"] = "The same principle as above applies";
$page["lowest_ratio"] = "Lowest compression aka none";
$page["default_ratio"] = "Recommended compression";
$page["highest_ratio"] = "Highest compression";
$page["zip_type"] = "Zip (.zip):";
$page["zip_type_info"] = "Common on Windows based systems";
$page["gzip_type"] = "GZipped TAR (.tar.gz &amp; .tgz):";
$page["gzip_type_info"] = "Common on *nix based systems";
$page["bzip_type"] = "BZip2 (.bz2):";
$page["bzip_type_info"] = "This method can use a lot of resources";
$page["time_description"] = "This area allows you to manage time related settings";
$page["time_caption"] = "Time settings";
$page["default_time"] = "Default timezone:";
$page["default_time_info"] = "The user is able to specify their own timezone in the UserCP";
$page["date_format"] = "Date format:";
$page["date_format_info"] = "The syntax for this is located in the <a href=\"http://www.php.net/date\" target=\"_blank\">PHP Manual</a><br />{AT} is replaced by the word &quot;at&quot; from the users language pack";
$page["sys_description"] = "From here you can change which names are used for different system configuration files";
$page["sys_caption"] = "System files";
$page["fm_files"] = "File Manager files";
$page["admin_files"] = "Administration messages:";
$page["stored_root"] = "This is stored in the users root directory";
$page["bookmark_file"] = "Bookmark list:";
$page["history_file"] = "Login history:";
$page["notes_file"] = "Directory notes:";
$page["note_info"] = "This is stored in the directory it relates to";
$page["lock_file"] = "File lock:";
$page["lock_info"] = "This extension is appended to the file name and is stored in the same directory as the original file";
$page["apache_files"] = "Apache related files";
$page["access_file"] = "Access configuration:";
$page["password_file"] = "Password configuration:";
$page["misc_description"] = "This section contains all setting which do not belong anywhere else";
$page["misc_caption"] = "Other settings";
$page["defaults"] = "Defaults";
$page["default_lang"] = "Default language:";
$page["default_chmod_lbl"] = "Default CHMOD value:";
$page["default_user"] = "Default (Guest) user ID:";
$page["default_user_info"] = "You should not change this unless instructed to do so";
$page["display_related"] = "Display related";
$page["link_to_ext"] = "Link to file extension database?";
$page["link_to_ext_info"] = "If enabled the file extension list in the UserCP links to the relevent entry at <a href=\"http://www.filext.com\" target=\"_blank\">http://www.filext.com</a>";
$page["dot_file"] = "Hide files beginning with a period (.) character?";
$page["dot_file_info"] = "This is how *nix based systems work";
$page["full_chmod"] = "Show full CHMOD value?";
$page["full_chmod_info"] = "Enabling this shows the extra CHMOD bit used for GID/UID/Sticky, it can't be set via File Manager";
$page["second_toolbar"] = "Show lower toolbar?";
$page["second_toolbar_info"] = "Enabling this shows the toolbar at the bottom of the file listing as well as the top";
$page["page_spans"] = "Entries to show per page:";
$page["folder_icon"] = "Folder icon link:";
$page["file_icon"] = "File icon link:";
$page["paths"] = "Paths";
$page["script_dir_lbl"] = "Script directory:";
$page["script_url_lbl"] = "Script URL:";
$page["allow_guests"] = "Allow guest access?";
$page["allow_guests_info"] = "Select which account is the guest account in the &quot;Default (Guest) user ID&quot; setting above";
$page["keep_history"] = "Keep login history?";
$page["keep_history_info"] = "If enabled when a user logs in they will see what time and from where the last login to the account occurred (similar to cPanel)";
$page["enable_debug"] = "Enable full debugging?";
$page["enable_debug_info"] = "For advanced debugging, enable this if you are having problems then use any messages which appear when reporting it";
$page["delete_message"] = "Time before an admin message can be deleted:";
$page["upload_limit"] = "Maximum simultaneous uploads:";
$page["upload_limit_info"] = "You should not change this setting unless you know what you are doing because PHP can only upload 2MB (default) total in any one go";
$page["usercp_space"] = "UserCP low space warning threshold:";
$page["bytes_free"] = "bytes free";
$page["no_link"] = "Don't link to anything";
$page["dir_url"] = "Opens the folder URL (Requires &quot;Open URL&quot; permission)";
$page["file_url"] = "Opens the file URL (Requires &quot;Open URL&quot; permission)";
$page["browse_dir"] = "Browse directory";
$page["download_file"] = "Download file (Requires &quot;Download'&quot; permission)";
$page["db_description"] = "You can change the database setup from this screen, although once installed you should not need to its simply here for continuity";
$page["db_caption"] = "Database setup";
$page["db_driver"] = "Database driver:";
$page["db_driver_info"] = "If you change this you will need to convert the database/tables yourself, the script will not do it for you";
$page["db_address"] = "Server address:";
$page["db_address_info"] = "This would have been supplied by your host along with the username and password";
$page["db_username"] = "Server username:";
$page["db_password"] = "Server password:";
$page["database"] = "Database name:";
$page["database_info"] = "Multiple scripts can use the same database, if you change this you will need to manually copy the tables to the new database";
$page["table_prefix"] = "Table prefix:";
$page["table_prefix_info"] = "If you change this you will need to manually rename the tables, you should not need to change this unless another script wishes to use the same tables";
$page["done"] = "Configuration updated";
$page["setting_file_error"] = "There was an error updating the settings, please ensure the file &quot;<%FILE%>&quot; is writable";
$page["invalid_user_cookie"] = "The username cookie contains invalid characters.";
$page["invalid_pass_cookie"] = "The password cookie contains invalid characters.";
$page["invalid_filter_cookie"] = "The filter cookie contains invalid characters.";
$page["invalid_admin_user_cookie"] = "The admin username cookie contains invalid characters.";
$page["invalid_admin_pass_cookie"] = "The admin password cookie contains invalid characters.";
$page["invalid_cookie_timeout"] = "The cookie timeout is not valid, please enter only whole numbers";
$page["rgb_error"] = "There is an error in the values you entered, please remember RGB values much be whole numbers between 0 and 255";
$page["no_admin_name"] = "Please enter an administration name";
$page["invalid_admin_in_email"] = "The incoming email address is invalid";
$page["invalid_admin_out_email"] = "The outgoing email address is invalid";
$page["no_smtp_server"] = "Please enter a valid SMTP server address";
$page["invalid_smtp_port"] = "The SMTP server port you entered is invalid, please ensure that you have only entered a numerical value";
$page["invalid_security_timeout"] = "The security timeout you entered is invalid";
$page["invalid_email_timeout"] = "The email timeout you entered is invalid";
$page["invalid_username_length"] = "The minimum username length you entered is invalid, please ensure that you have entered a numerical value";
$page["invalid_password_length"] = "The minimum password length you entered is invalid, please ensure that you have entered a numerical value";
$page["invalid_new_path"] = "Please enter a valid path for new registrations";
$page["invalid_new_url"] = "Please enter a valid URL for new registrations";
$page["invalid_default_type"] = "The default file type you entered is not valid, please ensure the extension contains only letters and numbers";
$page["invalid_locktimeout"]  = "The file lock timeout you entered is invalid";
$page["invalid_filter_img"] = "The image filter is invalid, please ensure you have used only letters, numbers and spaces";
$page["invalid_filter_mm"] = "The multimedia file filter is invalid, please ensure you have used only letters, numbers and spaces";
$page["invalid_filter_arc"] = "The archive filter is invalid, please ensure you have used only letters, numbers and spaces";
$page["invalid_filter_bin"] = "The binary file filter is invalid, please ensure you have used only letters, numbers and spaces";
$page["invalid_filter_db"] = "The database filter is invalid, please ensure you have used only letters, numbers and spaces";
$page["invalid_filter_off"] = "The office documents filter is invalid, please ensure you have used only letters, numbers and spaces";
$page["no_dbserver"] = "Please enter a database server address";
$page["no_dbuser"] = "Please enter a database username";
$page["no_dbname"] = "Please enter a database name";
$page["invalid_dbprefix"] = "The database prefix you entered is invalid, please ensure you have used only letters, numbers and the underscore character";
$page["no_offline_reason"] = "If you wish to turn the file manager off you must enter a reason, if you do not wish to turn the file manager off please change the status to 'on'";
$page["invalid_gzip_rate"] = "The GZip compression ratio is invalid, please ensure you have entered a value between 1 and 9";
$page["invalid_bzip2_rate"] = "The BZip2 compression ratio is invalid, please ensure you have entered a value between 1 and 9";
$page["invalid_msg"] = "The message file name is invalid. You can only use alphanumeric characters as well as the period and underscore characters";
$page["invalid_bookmarks"] = "The bookmarks file name is invalid. You can only use alphanumeric characters as well as the period and underscore characters";
$page["invalid_history"] = "The history file name is invalid. You can only use alphanumeric characters as well as the period and underscore characters";
$page["invalid_notes"] = "The directory notes file name is invalid. You can only use alphanumeric characters as well as the period and underscore characters";
$page["invalid_editing"] = "The file lock file name is invalid. You can only use alphanumeric characters as well as the period and underscore characters";
$page["invalid_htaccess"] = "The Apache access configuration file name is invalid. You can only use alphanumeric characters as well as the period and underscore characters";
$page["invalid_htpasswd"] = "The Apache password configuration file name is invalid. You can only use alphanumeric characters as well as the period and underscore characters";
$page["invalid_lang"] = "The default language you selected does not exist";
$page["invalid_chmod"] = "The default CHMOD value in invalid, it must consist of 3 numbers between 0 and 7";
$page["invalid_uid"] = "The default user ID is invalid, please ensure you entered a numeric value and that there is a user with a corresponding ID";
$page["invalid_perpage"] = "The page span count is invalid, please enter only numeric values";
$page["invalid_max_uploads"] = "The maximum upload value is invalid, please enter only numeric values";
$page["invalid_msgtimeout"] = "The message timeout is invalid, please enter only numeric values";
$page["invalid_lowspace"] =  "The low space threshold is invalid, please enter only numeric values";
$page["settings_saved"] = "The configuration file has been updated successfully";
$page["cookie_settings_saved"] = "The configuration file has been updated successfully, if you changed the administration cookie settings you may need to log in again";

$page["admin_caption"] = "Admin notepad";

?>