<?php

$page["card_title"] = "HTML template help";
$page["section_title"] = "(Modify skin) ";
$page["html_title"] = "Edit HTML template";
$page["css_title"] = "Edit CSS template";
$page["edit_description"] = "Enter the content below to update the file manager skin";
$page["acp"] = "Administration control panel";
$page["acp_info"] = "Elements for the administration control panel, such as the menu, settings screens, user management etc...<br /><strong>Please note:</strong> You should NOT edit these templates unless you are sure of what you are doing and have backed up the installation directory first";
$page["wrappers"] = "Script wrappers";
$page["wrappers_info"] = "Main templates which allows additional HTML to be added to the header and footer of the display";
$page["dialogs"] = "Tool dialogs";
$page["dialogs_info"] = "Elements for the dialog screens, including file upload form and archiving tools";
$page["database"] = "Database manager";
$page["database_info"] = "Elements for the database management section of the application";
$page["registration"] = "Registration";
$page["registration_info"] = "Elements for the register form, validate account form and lost password form";
$page["usercp"] = "User control panal";
$page["usercp_info"] = "Elements for the user control panel, such as the menu, edit profile, statistics viewer and bookmark management";
$page["index"] = "Index sections";
$page["index_info"] = "Elements for the different page views such as login, file listing and file editing";
$page["global_wrapper"] = "Global wrapper";
$page["popup"] = "Popup wrapper";
$page["archiver"] = "File archiver";
$page["bookmarks"] = "Bookmark creation";
$page["css"] = "Cascading style sheet";
$page["chmod"] = "CHMOD";
$page["delete"] = "Delete";
$page["extraction"] = "Archive extraction";
$page["legend"] = "Icon legend";
$page["links"] = "Symlink creation";
$page["mkdir"] = "Make directory";
$page["mkfile"] = "New file";
$page["move"] = "Move/Copy to";
$page["multi"] = "Multi-file upload";
$page["notes"] = "Directory notes";
$page["mp3"] = "MP3 info";
$page["password"] = "Password protection";
$page["rename"] = "Rename";
$page["source"] = "Source viewer";
$page["upload"] = "Single file upload";
$page["verify"] = "MD5 hash viewer";
$page["sql_input"] = "SQL input";
$page["results"] = "Query results";
$page["sql_error"] = "SQL error";
$page["regform"] = "Registration form";
$page["lostpass"] = "Resent validation email/Lost password";
$page["manual"] = "Manual account validation";
$page["cleanup"] = "Bookmark cleanup";
$page["edit"] = "Edit bookmarks";
$page["email"] = "Change email address";
$page["main"] = "Main page";
$page["language"] = "Change language";
$page["ucp"] = "UserCP menu";
$page["cperror"] = "Error page";
$page["chpass"] = "Change password";
$page["report"] = "Space usage report";
$page["chart"] = "Space usage chart";
$page["timezone"] = "Change timezone";
$page["fileeditor"] = "File editor";
$page["err_page"] = "Error page";
$page["tools"] = "Tools menu";
$page["listing"] = "File listing";
$page["login"] = "Login page";
$page["msg"] = "Misc message page";
$page["toolbar"] = "User toolbar";
$page["guestToolbar"] = "Guest toolbar";
$page["list_caption"] = "Modify HTML templates";
$page["list_description"] = "Please choose which section you wish to edit below";
$page["html_skin"] = "Skin HTML templates";
$page["skin_title"] = "Skin category";
$page["skin_entries"] = "Number of entries";
$page["sections"] = "Sections";
$page["chars"] = "Number of characters";
$page["size"] = "File size";
$page["edit"] = "Edit template";
$page["totals"] = "Total:";
$page["data_vars"] = "Data variables";
$page["lang_vars"] = "Language variables";
$page["dynamic_blocks"] = "Dynamic blocks";
$page["var"] = "Variable";
$page["name"] = "Name";
$page["description"] = "Description";
$page["replacement"] = "Replacement";
$page["required"] = "Required variables";
$page["dependent"] = "Template dependent variables";
$page["global"] = "Global variables";
$page["optional"] = "Optional variables";
$page["novars"] = "No entities of the selected type are defined for this template";
$page["editor"] = "Skin editor";
$page["show_vars"] = "Show data variables";
$page["show_blocks"] = "Show dynamic blocks";
$page["show_lang"] = "Show language variables";
$page["hints"] = "Hints/Tips";
$page["skin_info"] = "Information";
$page["tplpath"] = "File path:";
$page["tplsize"] = "File size:";
$page["char_count"] = "Number of characters:";
$page["varinfo"] = "Any variables not defined in the &quot;data variables&quot; are taken from the &quot;language variables&quot;.";
$page["langinfo"] = "The values shown under &quot;language variables&quot; are from the system default language pack.";
$page["blockinfo"] = "Dynamic blocks are defined as follows:";
$page["start"] = "marks the start of the block";
$page["end"] = "marks the end of the block";
$page["no_such_template"] = "Sorry but the template you selected does not exist";
$page["template_read_error"] = "Sorry but there was an error reading the selected template";
$page["empty_skin"] = "Sorry but you can not leave the file template empty";
$page["missing_var"] = "Sorry but the required variable &quot;&lt;%<%REQUIRED%>%&gt;&quot; is missing";
$page["missing_block"] = "Sorry but the required block &quot;<%REQUIRED%>&quot; is missing";
$page["save_error"] = "There was an error updating the skin, please ensure the file &quot;<%FILE%>&quot; is writable";
$page["done"] = "Skin changes saved";
$page["skin_saved"] = "The skin file was updated successfully";
$page["jsid"] = "Javascript ID";
$page["document"] = "Document content";
$page["execution"] = "The execution time";
$page["gzip"] = "The GZip compression status";
$page["count"] = "Query count";
$page["load"] = "The server load (Unix only)";
$page["legal"] = "The copyright notice (note it is illegal to remove this line, if you have purchased copyright removal enter your key into the license section)";
$page["curdir"] = "The current working directory";
$page["bookmark_list"] = "The bookmark drop down list";
$page["error"] = "Used to show an error message to the user";
$page["archive_files"] = "A list of files to add to the archive";
$page["archive_dirs"]= "A list of directories to add to the archive";
$page["archive_types"] = "A dropdown list of allowed archive types";
$page["bookmark_target"] = "The target for the bookmark";
$page["chmod_files"] = "A list of files to CHMOD";
$page["chmod_dirs"] = "A list of directories to CHMOD";
$page["chmod_values"] = "The numerical CHMOD value";
$page["owner_read"] = "The status of the 'owner' read permission";
$page["owner_write"] = "The status of the 'owner' write permission";
$page["owner_execute"] = "The status of the 'owner' execute permission";
$page["group_read"] = "The status of the 'group' read permission";
$page["group_write"] = "The status of the 'group' write permission";
$page["group_execute"] = "The status of the 'group' execute permission";
$page["public_read"] = "The status of the 'public' read permission";
$page["public_write"] = "The status of the 'public' write permission";
$page["public_execute"] = "The status of the 'public' execute permission";
$page["del_files"] = "A list of files to delete";
$page["del_dirs"] = "A list of directories to delete";
$page["extract_target"] = "The directory the archive is located in";
$page["extract_archive"] = "The archive to extract";
$page["folder_icon"] = "The icon for the folder";
$page["folder_nav"] = "The folder navigation";
$page["file_icon"] = "Icon for a file/folder in the listing";
$page["back_img"] = "The 'back to parent directory' icon";
$page["back_link"] = "The 'back to parent directory' link";
$page["name_link"] = "The file/folder name";
$page["open_url"] = "The Open URL link for the file/folder";
$page["link_to"] = "The item to link to";
$page["link_source"] = "The directory the link source is located in";
$page["link_target"] = "The directory to create the link in";
$page["file_templates"] = "Drop down list of file templates";
$page["copy_action"] = "The type of action to undertake, move or copy";
$page["copy_source"] = "The directory the source is located in";
$page["copy_files"] = "A list of files to transfer";
$page["copy_dirs"] = "A list of directories to transfer";
$page["copy_to"] = "The directory to tranfer to";
$page["icon"] = "The file/folder icon";
$page["fname"] = "The file/folder name and path";
$page["curnotes"] = "Any existing directory notes";
$page["protect_dir"] = "The directory to password protect";
$page["curuser"] = "An existing username";
$page["dirname"] = "The folder name";
$page["filename"] = "The file name";
$page["oldname"] = "The old file/folder name";
$page["safe_oldname"] = "The old file/folder name again, this is the one that is shown to the user";
$page["filesource"] = "The source of the file";
$page["filehash"] = "The MD5 hash of the file";
$page["usertools"] = "Shows the user toolbar, this is the bar which contains the login link etc";
$page["dbversion"] = "Shows the database type and version";
$page["dblist"] = "Shows a drop down list of the allowed databases";
$page["curdb"] = "The current database name";
$page["cursql"] = "The query the user entered";
$page["sqlresults"] = "The query results";
$page["entered_username"] = "The username entered";
$page["entered_password"] = "The password entered";
$page["entered_password2"] = "The confirmation password entered";
$page["entered_email"] = "The email address entered";
$page["entered_email2"] = "The confirmation email address entered";
$page["security_img"] = "The security image";
$page["security_id"] = "The security ID";
$page["terms"] = "The terms of service text";
$page["lostpass_type"] = "The current operation, lost password or validation email";
$page["userid"] = "The user ID";
$page["valid_key"] = "The validation key";
$page["invalid_bookmarks"] = "The number of invalid bookmarks";
$page["duplicate_paths"] = "The number of bookmarks with duplicate paths";
$page["duplicate_names"] = "The number of entries with duplicate names";
$page["bookmark_name"] = "The bookmark name";
$page["bookmark_path"] = "The bookmark path";
$page["bookmark_view"] = "A URL safe version of the bookmark path";
$page["ucp_content"] = "The content of the user control panel page";
$page["lang_list"] = "A dropdown list of language packs";
$page["users_email"] = "The users email address";
$page["permission_values"] = "A permission setting";
$page["access_type"] = "The file access type, allowed or disallowed";
$page["access_list"] = "The file type access list";
$page["editable"] = "A list of editable file types";
$page["error_caption"] = "The error caption";
$page["largest_file"] = "The largest file in the report";
$page["largest_size"] = "The size of the largest file";
$page["largest_dir"] = "The directory the largest file is in";
$page["folder_key"] = "The folder colour key";
$page["once_bit"] = "A bitflag to tell the script if to apply the filter for only the current directory";
$page["folder_count"] = "The number of folders";
$page["file_key"] = "The file colour key";
$page["file_count"] = "The file count";
$page["file_size"] = "The total amount of space taken up by the file type";
$page["file_percentage"] = "The percentage of space used by the file type";
$page["file_filter"] = "THe file type filter string";
$page["total_files"] = "The total number of files";
$page["total_size"] = "The total space usage";
$page["sys_size"] = "The space used by system configuration files";
$page["total_chart"] = "The chart for the file type totals";
$page["type_chart"] = "The chart for the file type space usage";
$page["amount_used"] = "The amount of used space";
$page["percent_used"] = "The percentage of used space";
$page["amount_free"] = "The amount of free space";
$page["percent_free"] = "The percentage of free space";
$page["total_space"] = "The total space available to the user";
$page["free_key"] = "The free space colour key";
$page["used_key"] = "The used space colour key";
$page["space_usage"] = "The space usage chart";
$page["current_time"] = "The users current time";
$page["timezones"] = "A dropdown list of timezones";
$page["daylight"] = "The status of daylight savings";
$page["target"] = "The target file/folder";
$page["is_new"] = "A bitflag to tell the editor if the file is new or not";
$page["filebody"] = "The body of the file";
$page["documentation"] = "The documentation link";
$page["filetools_content"] = "The content of the file options toolbar";
$page["filetools"] = "The file options toolbar";
$page["cur_working_dir"] = "The current working directory displayed for alt text etc..";
$page["last_modified"] = "The last modified date for files and folders";
$page["chmod_value"] = "The CHMOD value for files and folders";
$page["file_owner"] = "The owner of a file or folder";
$page["file_group"] = "The group of a file or folder";
$page["checkbox_name"] = "The file name, used in checkboxes for selection";
$page["fsize"] = "The size of a file";
$page["pages"] = "The page span links";
$page["totalsize"] = "The total directory size";
$page["file_filter"] = "The file filter drop down list";
$page["folder_read"] = "The read state of the current folder";
$page["folder_write"] = "The write state of the current folder";
$page["number_files"] = "The total number of files in the current folder";
$page["number_folders"] = "The total number of folders in the current folder";
$page["dirnotes"] = "The directory notes";
$page["current_user"] = "The current user";
$page["current_group"] = "The group the current user belongs to";
$page["area_links"] = "The links to other areas of the file manager, the ACP and login screen";
$page["tool_links"] = "The links to different tools such as UserCP and database manager";
$page["archive_options"] = "Shown only if the user has permission to download and save an archive, contains a dropdown list with the different save options";
$page["chmod_recurse"] = "Shown if the user selected to CHMOD a directory, allowing for recursive CHMOD";
$page["error_block"] = "Shown if there is an error message to show to the user";
$page["up_block"] = "Shown if the users current directory is not the root directory";
$page["folder_block"] = "The block used to show a folder";
$page["file_block"] = "The block used to show a file";
$page["multifiles"] = "Shown is there is more than one file";
$page["bookmark_block"] = "This block is shown if the user has access to the bookmarks system";
$page["overwrite_block"] = "If the user has overwrite permission this block is shown";
$page["delete_block"] = "If the user has delete permission this block is shown";
$page["single_block"] = "The block for a single upload field";
$page["info_block"] = "A block for the instructions, shown only if there is at least 1 existing user";
$page["existing_user_block"] = "A block used to show an existing user";
$page["file_entry"] = "Used to display a file entry";
$page["folder_entry"] = "Used to display a folder entry";
$page["gd_installed"] = "Shown only if GD is installed";
$page["bot_block"] = "Shown if the anti-bot security image is on";
$page["single_bookmark"] = "A block used to show a single bookmark";
$page["bookmark_block"] = "Shown if the user has permission to use bookmarks";
$page["permission_block"] = "A block used to show a single permission setting";
$page["filelist"] = "Contains the file access list if the user has one defined";
$page["editlist"] = "Displayed if the user is able to edit files";
$page["full_report"] = "Shown if the report is for the users entire folder";
$page["small_report"] = "Shown if the report is limited to a single folder";
$page["lowspace_prompt"] = "The lowspace warning prompt";
$page["folder_statistics"] = "The block for folder statistics";
$page["file_statistics"] = "The block for file statistics";
$page["gd_missing"] = "Shown only if GD is not installed";
$page["documentation_block"] = "Shown if there is a documentation URL associated with the file type";
$page["toolbar_block"] = "Contains the upper file tools toolbar";
$page["unix_block"] = "Shown on unix based systems only";
$page["files_in_dir"] = "Shown only is there are files in the current directory";
$page["notes_block"] = "Shown if the user has permission to edit directory notes";
$page["reg_enabled"] = "Shown if registration is enabled";
$page["guest_enabled"] = "Shown if guest access is allowed";
$page["artist_tag"] = "The artists name";
$page["track_tag"] = "The title of the track";
$page["album_tag"] = "The album title";
$page["year_tag"] = "The year of recording";
$page["genre_tag"] = "The genre of the track";
$page["comments_tag"] = "Any MP3 comments";
$page["bitrate"] = "The bitrate of the track in kbps";
$page["sample"] = "The sample rate of the track";
$page["channels"] = "The number of audio channels";
$page["length"] = "The total playing time of the track";

?>