<?php

$page["section_title"] = "(Users and groups) ";
$page["username_info"] = "Username must be between 1 and 32 characters long";
$page["password_info"] = "Passwords must be between <%MIN_PASS_LEN%> and 32 characters long";
$page["add_description"] = "You may pre-register users using this form";
$page["add_caption"] = "Add user";
$page["account_created"] = "User account created";
$page["add_members"] = "Member registration";
$page["access_details"] = "Access details";
$page["username"] = "Username:";
$page["password"] = "Password:";
$page["email"] = "Email address:";
$page["language"] = "Language:";
$page["mgroup"] = "Member group:";
$page["show_group"] = "Show permissions";
$page["time_settings"] = "Time settings";
$page["zone"] = "Time zone:";
$page["is_bst"] = "Is currently BST/DST?";
$page["is_bst_info"] = "Enabling this options adds an offset of 1 hour";
$page["dbman"] = "Database manager";
$page["access_dbman"] = "Enable access to the database manager?";
$page["access_dbman_info"] = "This will allow the user to access a database running on the same type of server as the File Manager database";
$page["dbtype"] = "Database type:";
$page["db_server"] = "Server address:";
$page["db_username"] = "Server username:";
$page["db_password"] = "Server password:";
$page["databases"] = "Databases:";
$page["databases_info"] = "Leave blank for all databases or enter a comma seperated list of databases";
$page["server"] = "Server setup";
$page["root_dir"] = "Root directory:";
$page["root_dir_info"] = "Requires a trailing slash";
$page["root_url"] = "Root URL:";
$page["root_url_info"] = "Requires a trailing slash, leave blank to hide URL";
$page["space"] = "Space limit:";
$page["space_info"] = "Optional, if empty the group limit is used";
$page["default_lang"] = "System default";
$page["password_length_invalid"] = "Sorry but the length of the password is not within the allowed limit";
$page["username_length_invalid"] = "Sorry but the username can not be longer than 32 characters";
$page["email_length_invalid"] = "Sorry but the email address can not be longer than 75 characters";
$page["invalid_email"] = "Sorry but the email address you entered is invalid";
$page["invalid_lang"] = "Sorry but the language you selected does not exist";
$page["username_used"] = "Sorry but the username you entered is already in use";
$page["email_used"] = "Sorry but the email address you entered is already in use";
$page["no_dbserver"] = "Please enter a database server address";
$page["no_dbuser"] = "Please enter a database username";
$page["error_creating_root"] = "The users account was saved successfully however there was an error creating the users root directory, you will need to do this yourself";
$page["add_error"] = "There was an unknown error creating the users account, please ensure you have INSERT permission for the users table";
$page["account_added"] = "The account has been created successfully";
$page["edit_caption"] = "Edit a user";
$page["find_edit_caption"] ="Find/Edit a user";
$page["delete_caption"] = "Delete a user";
$page["find_description"] = "Search for a user";
$page["member_search"] = "Member search";
$page["part_username"] = "Enter part or all of the username:";
$page["part_username_info"] = "This field is case insensitive and can be anywhere within the username, i.e 'an' would match 'annie' and 'dan'";
$page["find_user"] = "Find member";
$page["edit_results_description"] = "Select a user from the list below to edit";
$page["username_lbl"] = "Username";
$page["group_lbl"] = "Group";
$page["email_lbl"] = "Email address";
$page["edit"] = "Edit";
$page["view"] = "View";
$page["edit_account"] = "Edit account";
$page["log_in"] = "Log in";
$page["results"] = "Search results";
$page["no_matches"] = "No matches were found for your search query";
$page["no_query"] = "You did not enter a search query";
$page["delete_results_description"] = "Select a user from the list below to delete";
$page["delete_user"] = "Delete user";
$page["select_user"] = "Choose which user to delete...";
$page["confirm_delete"] = "Are you sure that you really wish to delete the selected user? This action can not be undo";
$page["cancel_delete"] = "Sorry but you can not delete the default or base administrator account";
$page["delete_root"] = "Delete users root directory?";
$page["user_no_delete"] = "(Cannot be deleted)";
$page["account_deleted"] = "User account deleted";
$page["delete_error"] = "There was an unknown error deleting the users account, please ensure you have DELETE permission for the users table";
$page["delete_no_root"] = "The users account has been deleted sucessfully, however the root directory could not be deleted";
$page["deleted_root"] = "The users account has been deleted sucessfully as has their root directory";
$page["deleted_root_left"] = "The users account has been deleted sucessfully as you requested their root directory has not been touched";
$page["edit_description"] = "You may alter the users settings from here";
$page["user_id"] = "User ID:";
$page["edit_password_info"] = "Leave blank to leave the current password unchanged";
$page["copy_old"] = "Copy old directory to new path?";
$page["copy_old_info"] = "If you change the users root directory you can copy the old files to the new directory";
$page["remove_old"] = "Remove the old root directory?";
$page["remove_old_info"] = "If you change the users root directory you can remove the old directory";
$page["account_updated"] = "User account updated";
$page["update_error"] = "There was an unknown error updating the users account, please ensure you have UPDATE permission for the users table";
$page["updated_no_root"] = "The users account has been updated successfully, however the old root directory could not be copied";
$page["updated_no_delete"] = "The users account has been updated successfully, however the old root directory could not be deleted";
$page["account_update_complete"] = "The users account has been updated successfully";
$page["msg_caption"] = "Send message";
$page["msg_description"] = "Use the form below to send messages to users warning them of down time etc";
$page["msg_body"] = "Message body:";
$page["msg_info"] = "HTML allowed<br /><br />If the user currently has a message waiting for them the new message will be appended at the end";
$page["or_group"] = "or to the selected group:";
$page["or_group_info"] = "Will be used if the username list is empty";
$page["to_users"] = "Send message to users:";
$page["to_users_info"] = "Comma seperated list of usernames";
$page["no_message"] = "You did not enter a message to send to the users";
$page["no_msg_matches"] = "No users with the specified names or group membership could be found";
$page["msg_sent"] = "All messages were sent successfully";
$page["msg_done"] = "Messages sent";
$page["none_sent"] = "No messages could be sent, please ensure that you have write access to the users root directory";
$page["msg_errors"] = "Some messages were sent, but they could not be sent to <%USERS%>. Please ensure you have write access to the users root directory"; 
$page["invalid_space"] = "The space limit is invalid, please enter only numeric values";
$page["delete"] = "Delete";
$page["account_validation"] = "User account validation";
$page["validate_caption"] = "Validate users";
$page["validate_description"] = "The selected checkboxs indicate which type of validation the account has received, admin approval and/or email verification. Simply check the box to update the account validation status.<br /><strong>Please note:</strong> If email verification has already been completed you can not undo it";
$page["no_validate"] = "There are currently no members awaiting account validation";
$page["ip_address"] = "IP address";
$page["since"] = "Validating since?";
$page["admin_lbl"] = "Admin";
$page["email_lbl"] = "Email";
$page["validation_done"] = "All account validation status' have been updated";
$page["validation_error"] = "There was an error updating the validation status, please ensure you have UPDATE permission for the validating table";

?>