<?php

// IPFM 2 Language Pack
// UserCP

$page["title"]            = "User control panel";

$page["stats"]            = "Space usage";
$page["report"]           = "Usage report";
$page["manage"]           = "Manage bookmarks";
$page["cleanup"]          = "Bookmark cleanup";
$page["change_email"]     = "Change email address";
$page["change_password"]  = "Change password";
$page["change_language"]  = "Change language";
$page["change_timezone"]  = "Change time zone";

$page["toolmenu"]         = "Menu";
$page["stats_tools"]      = "Statistics";
$page["bookmark_tools"]   = "Bookmarks";
$page["settings_tools"]   = "Settings";

$page["your_email"]       = "Your registered email address:";
$page["your_permissions"] = "Your access permissions:";
$page["main_caption"]     = "Your account summary";
$page["stats_caption"]    = "Your space usage";
$page["report_caption"]   = "Your usage report";
$page["edit_caption"]     = "Edit bookmarks";
$page["cleanup_caption"]  = "Bookmark cleanup";
$page["timezone_caption"] = "Change time zone";
$page["password_caption"] = "Change password";
$page["email_caption"]    = "Change email address";
$page["language_caption"] = "Change language";

$page["no_gd"]            = "The GD image extension is not installed";
$page["space_usage"]      = "Space usage pie chart";
$page["report_alt_types"] = "File type report breakdown";
$page["report_alt_space"] = "Space usage report breakdown";
$page["no_stats_permission"] = "You do not have permission to view file statistics";
$page["no_tools_permission"] = "You do not have permission to edit the user settings";

$page["can_upload"]       = "Upload files";
$page["can_download"]     = "Download files";
$page["can_bookmark"]     = "Use &amp; manage bookmarks";
$page["can_rename"]       = "Rename existing files &amp; directories";
$page["can_edit"]         = "Edit ASCII files";
$page["can_view"]         = "View ASCII files";
$page["can_delete"]       = "Delete existing files &amp; directories";
$page["can_copy"]         = "Copy existing files &amp; directory structures";
$page["can_move"]         = "Move existing files &amp; directory structures";
$page["can_mkdir"]        = "Create new directories";
$page["can_mkfile"]       = "Create new ASCII files";
$page["can_overwrite"]    = "Overwrite existing files";
$page["can_archive"]      = "Use the archiving tool";
$page["can_sql"]          = "Manager SQL databases";
$page["can_protect"]      = "Password protect directories";
$page["can_chmod"]        = "CHMOD files &amp; directories";
$page["access_acp"]       = "Access to the Administration control panel";
$page["access_offline"]   = "Access the file manager when it's offline";

$page["not_allowed_filetypes"]  = "File types you are not allowed:";
$page["allowed_filetypes"]      = "File types you are allowed:";
$page["edit_filetypes"]         = "Editable file types";

$page["used_key_label"]         = "Used space";
$page["free_key_label"]         = "Free space";

$page["used_label"]             = "Used space:";
$page["free_label"]             = "Free space:";
$page["total_label"]            = "Total space:";
$page["lowspace"]               = "Warning: You are running low on disk space, you should contact your service provider to purchase additional space";

$page["largest_file"]           = "Your largest file is &quot;<%FILE%>&quot;";
$page["view_dir"]               = "View its directory";
$page["largest_file_dir"]       = "The largest file in this directory is &quot;<%FILE%>&quot;";
$page["usage_for_dir"]          = "Usage report for the directory <%DIR%>";

$page["file_count"]             = "File count:";
$page["folders_label"]          = "Directories";
$page["img_label"]              = "Images";
$page["mm_label"]               = "Multimedia files";
$page["arc_label"]              = "Archives";
$page["txt_label"]              = "ASCII files";
$page["db_label"]               = "Databases";
$page["off_label"]              = "Office documents";
$page["bin_label"]              = "Other common files";
$page["misc_label"]             = "Miscellaneous files";
$page["name_label"]             = "Name";
$page["path_label"]             = "Path";
$page["types"]                  = "File types:";
$page["space"]                  = "Space usage by types:";
$page["report_total"]           = "Total:";
$page["system_files"]           = "Note: <%SYSFILES%> is used by system configuration files";

$page["no_report"]              = "The usage report could not be generated, you either entered an invalid path or you need to create some files and directories before generating a report";

$page["delete_bookmark"]        = "To delete a bookmark simply empty both its fields";
$page["save"]                   = "Save bookmarks";
$page["no_bookmark_permission"] = "You do not have permission to use bookmarks";
$page["error_save_bookmark"]    = "Your bookmarks file could not be opened, please contact the server administrator to resolve the problem";
$page["no_bookmarks"]           = "You do not have any bookmarks";
$page["view_bookmark"]          = "View this bookmark";
$page["bookmark_saved"]         = "Your bookmarks have been updated";
$page["new_bookmarks"]          = "New bookmarks";

$page["total_bookmarks"]        = "You have a total of <%TOTAL%> bookmarks";
$page["remove_invalid"]         = "Remove invalid bookmarks?";
$page["remove_duplicate_path"]  = "Remove bookmarks with duplicate paths?";
$page["remove_duplicate_name"]  = "Remove bookmarks with duplicate names?";
$page["remove_all"]             = "Remove <strong>all</strong> bookmarks?";
$page["run_cleanup"]            = "Run &quot;bookmark cleanup&quot;";

$page["no_cleanup_options"]     = "You did not select any cleanup options to run";
$page["all_cleanup_error"]      = "There was an error deleting the bookmarks, please contact the server administrator to resolve the problem";
$page["all_cleanup_done"]       = "All bookmarks were deleted succesfully";

$page["current_time"]           = "Your current time:";
$page["update_timezone"]        = "Update time zone";
$page["hours"]                  = "hours";
$page["timezone_saved"]         = "Your time zone has been updated";
$page["error_save_timezone"]    = "There was an error saving your timezone, please try again";

$page["update_language"]        = "Update language";
$page["default_lang"]           = "System default";
$page["language_saved"]         = "Your language preference has been updated";
$page["error_save_language"]    = "There was an error saving your language preference, please try again";

$page["old_password"]           = "Current password:";
$page["new_password"]           = "New password:";
$page["confirm_password"]       = "Confirm password";
$page["save_password"]          = "Save password";
$page["current_pass_wrong"]     = "Sorry but the current password you entered is invalid";
$page["new_pass_mismatch"]      = "Sorry but the new passwords you entered do not match";
$page["new_pass_short"]         = "Sorry but the new password you entered is too short, the password must be at least <%PASSWORD_LENGTH%> characters";
$page["password_saved"]         = "Your password has been updated";
$page["error_save_password"]    = "There was an error saving your password, please try again";
$page["password_mismatch"] = "Sorry but the passwords you entered do not match";
$page["password_length_invalid"] = "Sorry but the length of the password is not within the allowed limit";
$page["password_tip"] = "Passwords must be between <%MIN_PASS_LEN%> and 32 characters long";

$page["new_email"] = "New email address:";
$page["confirm_email"] = "Confirm email address:";
$page["save_email"] = "Save email address";
$page["email_mismatch"] = "Sorry but the email addresses you entered do not match";
$page["email_saved"]         = "Your email address has been updated";
$page["error_save_email"]    = "There was an error saving your email address, please try again";

$page["dst_bst"] = "Select this option if your timezone is in Daylights savings time or British summer time";
$page["ext_info"] = "Click for info (External link)";

?>