<?php

/*
 * Invision Power File Manager
 * Misc. admin sections
 * Copyright (c) 2005 Invision Power Services
 * -------------------------------------
 * You may not remove the copyright or
 * redistribute the script in any form
 *
 * Authors: Stephen Ball
 * Version: 1.0.2
 * Last Modified: 24th February 2005
 *
 */

// Security check
if (defined("IPFM_RUNNING") == false)
{
    die("You can not access this module directly");
}

/* -----------------------------------------
                Program Execution
   ----------------------------------------- */

// Always delete the cookies no matter what
setcookie($settings["admin_user_cookie"]);
setcookie($settings["admin_pass_cookie"]);

if ($input["op"] == "out")
{
    go_to($settings["script_url"] . "admin.php?act=login");
}
else if ($input["op"] == "in")
{
    // User is logging in, check their authorisation
    if (($permissions = auth_user($input["username"], md5($input["password"]))) != false)
    {
        // Took 45 minutes to get this working!! Thats what happens when you change a variable name
        // and then go and do something else without finishing up!
        if ($permissions["admin"] == 0)
        {
            $page["msg"] = $page["no_acp_access"];
        }
        else
        {
            // Set the cookies
            setcookie($settings["admin_user_cookie"], $input["username"]);
            setcookie($settings["admin_pass_cookie"], md5($input["password"]));

            go_to($settings["script_url"] . "admin.php?act=idx");
        }
    }
    else
    {
        $page["msg"] = $page["invalid"];
    }
}

$blocks = get_blocks($settings["script_dir"] . "skin/admin/login.tpl", array("error"));

// There is no error
if (isset($page["msg"]) == false)
{
    $blocks["error"] = "";
}

$page["js"]      = "";
$page["content"] = parse_html($page, dynamic_template($settings["script_dir"] . "skin/admin/login.tpl", $blocks));

?>