<?php

/*
 * Invision Power File Manager
 * Symlink dialog
 * Copyright (c) 2005 Invision Power Services
 * -------------------------------------
 * You may not remove the copyright or
 * redistribute the script in any form
 *
 * Authors: Stephen Ball
 * Version: 1.0.0
 * Last Modified: 9th August 2004
 *
 */

// Security check
if (defined("IPFM_RUNNING") == false)
{
    die("You can not access this module directly");
}

// Set some parameters
$global_tpl = "skin/popup.tpl";

$dir        = clean_path($input["dir"]);
$target     = clean_path($input["target"]);;

if (empty($dir) == true)
{
    $target = $permissions["root"] .  $target . "/";
}
else
{
    $target    = $permissions["root"] . $dir . "/" .  $target . "/";
}

$blocks = array("instruction", "users");

// Check for existing usernames/passwords
$info["users"]       = 0;
$info["instruction"] = 0;
if (file_exists($target . $settings["htaccess"]) == true && file_exists($target . $settings["htpasswd"]) == true)
{
    $userlist = file($target . $settings["htpasswd"]); // Import the password file

    natcasesort($userlist);

    if ($userlist[0] != "")
    {
        $info["users"] = array();

        foreach ($userlist as $var)
        {
            $tmp = explode(":", $var);
            $info["users"][] = array("NAME" => $tmp[0]);
        }

        $info["instruction"] = 1;

        // Now we need to get the prompt from the htaccess file
        $data = file($target . "/" . $settings["htaccess"]);

        foreach ($data as $var)
        {
            if (preg_match("/authname/i", $var) == true)
            {
                preg_match("/authname \"(.*)\"/i", $var, $data);

                $page["default_prompt"] = $data[1];
            }
        }
    }
}

$blocks = get_blocks($settings["script_dir"] . "skin/cards/protect.tpl", $blocks);
$blocks = parse_blocks($info, $blocks);

// Construct the page
$page["content"]    = parse_html($page, dynamic_template($settings["script_dir"] . "skin/cards/protect.tpl", $blocks));
$page["js"]         = "protect";
$page["this"]       = $dir;
$page["target"]     = clean_path($input["target"]);

?>