var ie = document.all ? 1 : 0;
window.name = "";

/* -----------------------------------------
        Javascript display functions
----------------------------------------- */

// A function to toggle the selection of all files/folders
function toggle_all(object)
{
    var fields = document.getElementsByTagName("input");

    for (var i=0; i < fields.length; i++)
    {
        if (fields[i].type == "checkbox")
        {
            // Invert the check status of the current field
            fields[i].checked = object.checked;
                
            // Run the select_item
            if (fields[i].className == "folder_checkbox")
            {
                select_item(fields[i], 1);
            }
            else if (fields[i].className == "file_checkbox")
            {
                select_item(fields[i], 0);
            }
        }
    }
    return;
}

// A "wrapper" function to highlight a row and modify the "selected" list
function select_item(object, is_dir)
{
    highlight(object, is_dir);
    buffer(object, is_dir);

    return; 
}

// Highlights or "dehighlights" selected rows
function highlight(object, is_dir)
{
    var caller = object;

    // Get the correct object
    if (ie)
    {
        while (object.tagName != "TR")
        {
            object = object.parentElement;
        }
    }
    else
    {
        while (object.tagName != "TR")
        {
            object = object.parentNode;
        }
    }

    // Are we highlighting a file or folder?
    if (is_dir == 1)
    {
        // Is the folder already highlighted?
        if (caller.checked == true)
        {
            object.className = "row4";
        }
        else
        {
            object.className = "row1";
        }
    }
    else
    {
        // Is the file already highlighted?
        if (caller.checked == true)
        {
            object.className = "row2";
        }
        else
        {
            object.className = "row3";
        }
    }
    return;
}

// Adds the file or folder to the list
function buffer(object, is_dir)
{
    var file = object.value.replace("#", "%23");

    if (is_dir == 1)
    {
        if (object.checked == true)
        {
            // If indexof is more than -1 then the file is already in the list
            if (window.document.forms["listing"].elements["directories"].value.indexOf(file + "|") == -1)
            {
                window.document.forms["listing"].elements["directories"].value += file + "|";
                window.document.forms["listing"].elements["counter"].value = window.parseInt(window.document.forms["listing"].elements["counter"].value) + 1;
            }
        }
        else
        {
            window.document.forms["listing"].elements["directories"].value = window.document.forms["listing"].elements["directories"].value.replace(file + "|", "");
            window.document.forms["listing"].elements["counter"].value = window.parseInt(window.document.forms["listing"].elements["counter"].value) - 1;
        }
    }
    else
    {
        if (object.checked == true)
        {
            // If indexof is more than -1 then the file is already in the list
            if (window.document.forms["listing"].elements["files"].value.indexOf(file + "|") == -1)
            {
                window.document.forms["listing"].elements["files"].value += file + "|";
                window.document.forms["listing"].elements["counter"].value = window.parseInt(window.document.forms["listing"].elements["counter"].value) + 1;
            }
        }
        else
        {
            window.document.forms["listing"].elements["files"].value = window.document.forms["listing"].elements["files"].value.replace(file + "|", "");
            window.document.forms["listing"].elements["counter"].value = window.parseInt(window.document.forms["listing"].elements["counter"].value) - 1;
        }
    }
    return true;
}

/* -----------------------------------------
        Window related functions
----------------------------------------- */

// Jumps to the specified anchor, so not to change the browsers history list
function jumpto(anchor)
{
    if (ie)
    {
        eval("document.all." + anchor + ".scrollIntoView()")
    }
    else
    {
        window.scrollTo(0, document.anchors[anchor].y)
    } 
    return;
}

// Checks the user has selected a file to archive and then loads the archive page
function archive()
{
    if (window.parseInt(window.document.forms["listing"].elements["counter"].value) < 1)
    {
        window.alert("<%NO_ARCHIVE_SELECTED%>");
    }
    else 
    {
        var dir     = window.document.forms["listing"].elements["dir"].value;
        var files   = window.document.forms["listing"].elements["files"].value;
        var dirs    = window.document.forms["listing"].elements["directories"].value;

        window.name = "mainWindow"; 

        open_window("index.php?act=card&id=arc&dir=" + dir + "&dirs=" + dirs + "&files=" + files, 500, 250, 0);
    }
    return;
}

// Opens the bookmark window
function bookmark(dir, target)
{
    var dir		= dir.replace("#", "%23");
    var target	= target.replace("#", "%23");

    window.name = "mainWindow"; 

    open_window("index.php?act=card&id=fav&dir=" + dir + "&target=" + target, 500, 205);
}

// Opens the password dialog window
function lock(dir, target)
{
    var dir		= dir.replace("#", "%23");
    var target	= target.replace("#", "%23");

    window.name = "mainWindow"; 

    open_window("index.php?act=pass&dir=" + dir + "&target=" + target, 500, 500);
}

// Opens the popup cards
function open_popup(id)
{
    var dir     = window.document.forms["listing"].elements["dir"].value;

    window.name = "mainWindow"; 

    if (id == "upload")
    {
        open_window("index.php?act=card&id=up&dir=" + dir, 500, 250, 0);
    }
    else if (id == "mkdir")
    {
        open_window("index.php?act=card&id=mkdir&dir=" + dir, 500, 210, 0);
    }
    else if (id == "mkfile")
    {
        open_window("index.php?act=card&id=new&dir=" + dir, 500, 210, 0);
    }
    else if (id == "notes")
    {
        open_window("index.php?act=notes&dir=" + dir, 500, 460, 0);
    }
    else
    {
        return false;
    }

    return;
}

// Confirms that the user wishes to delete the selected files
function del()
{
    if (window.parseInt(window.document.forms["listing"].elements["counter"].value) < 1)
    {
        window.alert("<%NO_DELETE_SELECTED%>");
    }
    else
    {
        var dir     = window.document.forms["listing"].elements["dir"].value;
        var files   = window.document.forms["listing"].elements["files"].value;
        var dirs    = window.document.forms["listing"].elements["directories"].value;

        window.name = "mainWindow"; 

        open_window("index.php?act=card&id=del&dir=" + dir + "&dirs=" + dirs + "&files=" + files, 500, 210, 0);
    }
    return;
}

// Confirms that the user wishes to rename the selected file
function rename()
{
    if (window.parseInt(window.document.forms["listing"].elements["counter"].value) < 1)
    {
        window.alert("<%NO_RENAME_SELECTED%>");
    }
    else
    {
        window.name = "mainWindow"; 

        var dir     = window.document.forms["listing"].elements["dir"].value;
        var files   = window.document.forms["listing"].elements["files"].value;
        var dirs    = window.document.forms["listing"].elements["directories"].value;

        open_window("index.php?act=card&id=ren&target=" + dir + "&dir=" + dir + "&dirs=" + dirs + "&files=" + files, 500, 460, 1);
    }
    return;
}

// Opens the move dialog
function move()
{
    if (window.parseInt(window.document.forms["listing"].elements["counter"].value) < 1)
    {
        window.alert("<%NO_MOVE_SELECTED%>");
    }
    else
    {
        window.name = "mainWindow";

        var dir     = window.document.forms["listing"].elements["dir"].value;
        var files   = window.document.forms["listing"].elements["files"].value;
        var dirs    = window.document.forms["listing"].elements["directories"].value;

        open_window("index.php?act=mv&target=" + dir + "&dir=" + dir + "&dirs=" + dirs + "&files=" + files + "&type=move", 500, 460, 1);
    }
}

// Opens the copy dialog
function copy()
{
    if (window.parseInt(window.document.forms["listing"].elements["counter"].value) < 1)
    {
        window.alert("<%NO_COPY_SELECTED%>");
    }
    else
    {
        window.name = "mainWindow";

        var dir     = window.document.forms["listing"].elements["dir"].value;
        var files   = window.document.forms["listing"].elements["files"].value;
        var dirs    = window.document.forms["listing"].elements["directories"].value;

        open_window("index.php?act=mv&target=" + dir + "&dir=" + dir + "&dirs=" + dirs + "&files=" + files + "&type=copy", 500, 460, 1);
    }
}

// Opens the CHMOD dialog
function chmod()
{
    var selected = window.parseInt(window.document.forms["listing"].elements["counter"].value);

    if (selected < 1)
    {
        window.alert("<%NO_CHMOD_SELECTED%>");
    }
    else
    {
        window.name = "mainWindow";

        var dir     = window.document.forms["listing"].elements["dir"].value;
        var files   = window.document.forms["listing"].elements["files"].value;
        var dirs    = window.document.forms["listing"].elements["directories"].value;

        open_window("index.php?act=card&id=chmod&dir=" + dir + "&dirs=" + dirs + "&files=" + files + "&i=" + selected, 500, 460, 1);
    }
}

// Opens the symlink dialog
function link()
{
    if (window.parseInt(window.document.forms["listing"].elements["counter"].value) < 1)
    {
        window.alert("<%NO_LINK_SELECTED%>");
    }
    else if (window.parseInt(window.document.forms["listing"].elements["counter"].value) > 1)
    {
        window.alert("<%MORE_LINKS_SELECTED%>");
    }
    else
    {
        window.name = "mainWindow";

        var regExp  = /[|]$/;

        var dir     = window.document.forms["listing"].elements["dir"].value;
        var link    = window.document.forms["listing"].elements["files"].value.replace(regExp, "");


        if (window.document.forms["listing"].elements["files"].value == "")
        {
            var link = window.document.forms["listing"].elements["directories"].value.replace(regExp, "");
        }

        open_window("index.php?act=ln&target=" + dir + "&dir=" + dir + "&link=" + link, 500, 460, 1);
    }
}

// Opens the archive extractor dialog
function extractor(archive)
{
    window.name = "mainWindow";
    
    var dir = window.document.forms["listing"].elements["dir"].value;
    open_window("index.php?act=ext&archive=" + archive + "&target=" + dir + "&dir=" + dir, 500, 460, 1);
}

// Changes the custom filter if the user selects a predefined filter
function update_filter()
{
    var img = "<%IMG_FILTER%>";
    var mm  = "<%MM_FILTER%>";
    var arc = "<%ARC_FILTER%>";
    var bin = "<%BIN_FILTER%>";
    var db  = "<%DB_FILTER%>";
    var txt = "<%TXT_FILTER%>";
    var off = "<%OFF_FILTER%>";

    if (document.forms["filters"].elements["predef"].options[document.forms["filters"].elements["predef"].selectedIndex].value != "all" && document.forms["filters"].elements["predef"].options[window.document.forms["filters"].elements["predef"].selectedIndex].value != "misc" && document.forms["filters"].elements["predef"].options[document.forms["filters"].elements["predef"].selectedIndex].value != "fold")
    {
        document.forms["filters"].elements["custom"].value = eval(document.forms["filters"].elements["predef"].options[window.document.forms["filters"].elements["predef"].selectedIndex].value);
    }
    else
    {
        document.forms["filters"].elements["custom"].value = "";
    }

    return;
}

// Selects "custom filter" if the user edits the filter
function custom_filter()
{
    if (document.forms["filters"].elements["custom"].value == "")
    {
        document.forms["filters"].elements["predef"].selectedIndex = 0;
    }
    else 
    {
        document.forms["filters"].elements["predef"].selectedIndex = document.forms["filters"].elements["predef"].length - 1;
    }
    
    return;
}

// Jumps to the specified page
function pageJump(total, current, url)
{
    var page = window.prompt("Please enter the number of the page to jump to between 1 and " + total, window.parseInt(current)); 

    if (page < 1 || page > total || isNaN(page) == true)
    {
        window.alert("<%INVALID_PAGE_NUMBER%>");
        return;
    }

    window.location.href = url + page;
    return;
}
